! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! The ODE Function of Chemical Model File
! 
! Generated by KPP-2.2.4_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : gckpp_Function.f90
! Time                 : Wed Aug 23 13:23:45 2017
! Working directory    : /n/home05/msulprizio/GC/FlexChem/Mechanisms/v11-02c/SOA_SVPOA
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Function

  USE gckpp_Parameters
  IMPLICIT NONE

! A - Rate for each equation
  REAL(kind=dp) :: A(NREACT)
!$OMP THREADPRIVATE(  A )

CONTAINS


! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Fun - time derivatives of variables - Agregate form
!   Arguments :
!      V         - Concentrations of variable species (local)
!      F         - Concentrations of fixed species (local)
!      RCT       - Rate constants (local)
!      Vdot      - Time derivative of variable species concentrations
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

SUBROUTINE Fun ( V, F, RCT, Vdot )

! V - Concentrations of variable species (local)
  REAL(kind=dp) :: V(NVAR)
! F - Concentrations of fixed species (local)
  REAL(kind=dp) :: F(NFIX)
! RCT - Rate constants (local)
  REAL(kind=dp) :: RCT(NREACT)
! Vdot - Time derivative of variable species concentrations
  REAL(kind=dp) :: Vdot(NVAR)


! Computation of equation rates
  A(1) = RCT(1)*V(168)*V(170)
  A(2) = RCT(2)*V(166)*V(170)
  A(3) = RCT(3)*V(167)*V(170)
  A(4) = RCT(4)*V(170)*V(173)
  A(5) = RCT(5)*V(170)*V(174)
  A(6) = RCT(6)*V(166)*V(166)
  A(7) = RCT(7)*V(166)*V(166)
  A(8) = RCT(8)*V(166)*V(167)
  A(9) = RCT(9)*V(86)*V(166)
  A(10) = RCT(10)*V(167)*V(168)
  A(11) = RCT(11)*V(167)*V(167)
  A(12) = RCT(12)*V(166)*F(2)
  A(13) = RCT(13)*V(166)*V(169)
  A(14) = RCT(14)*V(166)*F(1)
  A(15) = RCT(15)*V(168)*V(174)
  A(16) = RCT(16)*V(167)*V(174)
  A(17) = RCT(17)*V(174)*V(174)
  A(18) = RCT(18)*V(174)*V(174)
  A(19) = RCT(19)*V(58)*V(166)
  A(20) = RCT(20)*V(58)*V(166)
  A(21) = RCT(21)*V(78)*V(166)
  A(22) = RCT(22)*V(78)*V(166)
  A(23) = RCT(23)*V(154)*V(166)
  A(24) = RCT(24)*V(166)*V(173)
  A(25) = RCT(25)*V(131)*V(166)
  A(26) = RCT(26)*V(166)*V(168)
  A(27) = RCT(27)*V(54)*V(166)
  A(28) = RCT(28)*V(167)*V(173)
  A(29) = RCT(29)*V(61)
  A(30) = RCT(30)*V(61)*V(166)
  A(31) = RCT(31)*V(167)*V(171)
  A(32) = RCT(32)*V(168)*V(171)
  A(33) = RCT(33)*V(166)*V(171)
  A(34) = RCT(34)*V(171)*V(173)
  A(35) = RCT(35)*V(45)
  A(36) = RCT(36)*V(92)*V(166)
  A(37) = RCT(37)*V(166)*F(4)
  A(38) = RCT(38)*V(171)*V(173)
  A(39) = RCT(39)*V(154)*V(171)
  A(40) = RCT(40)*V(161)*V(166)
  A(41) = RCT(41)*V(161)*V(171)
  A(42) = RCT(42)*V(173)*V(175)
  A(43) = RCT(43)*V(70)
  A(44) = RCT(44)*V(168)*V(175)
  A(45) = RCT(45)*V(68)*V(166)
  A(46) = RCT(46)*V(143)*V(168)
  A(47) = RCT(47)*V(56)*V(166)
  A(48) = RCT(48)*V(56)*V(166)
  A(49) = RCT(49)*V(119)*V(168)
  A(50) = RCT(50)*V(115)*V(168)
  A(51) = RCT(51)*V(51)*V(166)
  A(52) = RCT(52)*V(157)*V(168)
  A(53) = RCT(53)*V(157)*V(168)
  A(54) = RCT(54)*V(140)*V(168)
  A(55) = RCT(55)*V(136)*V(168)
  A(56) = RCT(56)*V(145)*V(168)
  A(57) = RCT(57)*V(158)*V(168)
  A(58) = RCT(58)*V(158)
  A(59) = RCT(59)*V(139)*V(168)
  A(60) = RCT(60)*V(153)*V(168)
  A(61) = RCT(61)*V(153)
  A(62) = RCT(62)*V(128)*V(168)
  A(63) = RCT(63)*V(135)*V(168)
  A(64) = RCT(64)*V(155)*V(168)
  A(65) = RCT(65)*V(155)*V(171)
  A(66) = RCT(66)*V(150)*V(171)
  A(67) = RCT(67)*V(129)*V(171)
  A(68) = RCT(68)*V(129)*V(168)
  A(69) = RCT(69)*V(129)*V(173)
  A(70) = RCT(70)*V(129)*V(167)
  A(71) = RCT(71)*V(120)*V(171)
  A(72) = RCT(72)*V(120)*V(168)
  A(73) = RCT(73)*V(120)*V(167)
  A(74) = RCT(74)*V(120)*V(174)
  A(75) = RCT(75)*V(150)*V(170)
  A(76) = RCT(76)*V(150)*V(166)
  A(77) = RCT(77)*V(117)*V(168)
  A(78) = RCT(78)*V(117)*V(167)
  A(79) = RCT(79)*V(117)*V(174)
  A(80) = RCT(80)*V(155)*V(155)
  A(81) = RCT(81)*V(122)*V(168)
  A(82) = RCT(82)*V(51)*V(171)
  A(83) = RCT(83)*V(159)*V(166)
  A(84) = RCT(84)*V(105)*V(166)
  A(85) = RCT(85)*V(164)*V(166)
  A(86) = RCT(86)*V(144)*V(173)
  A(87) = RCT(87)*V(41)
  A(88) = RCT(88)*V(55)*V(173)
  A(89) = RCT(89)*V(149)*V(173)
  A(90) = RCT(90)*V(103)
  A(91) = RCT(91)*V(98)
  A(92) = RCT(92)*V(144)*V(168)
  A(93) = RCT(93)*V(149)*V(168)
  A(94) = RCT(94)*V(164)*V(171)
  A(95) = RCT(95)*V(116)*V(166)
  A(96) = RCT(96)*V(119)*V(174)
  A(97) = RCT(97)*V(115)*V(174)
  A(98) = RCT(98)*V(157)*V(167)
  A(99) = RCT(99)*V(140)*V(167)
  A(100) = RCT(100)*V(136)*V(167)
  A(101) = RCT(101)*V(145)*V(167)
  A(102) = RCT(102)*V(158)*V(167)
  A(103) = RCT(103)*V(139)*V(167)
  A(104) = RCT(104)*V(153)*V(167)
  A(105) = RCT(105)*V(128)*V(167)
  A(106) = RCT(106)*V(135)*V(167)
  A(107) = RCT(107)*V(155)*V(167)
  A(108) = RCT(108)*V(122)*V(167)
  A(109) = RCT(109)*V(163)*V(166)
  A(110) = RCT(110)*V(143)*V(174)
  A(111) = RCT(111)*V(163)*V(171)
  A(112) = RCT(112)*V(157)*V(174)
  A(113) = RCT(113)*V(140)*V(174)
  A(114) = RCT(114)*V(136)*V(174)
  A(115) = RCT(115)*V(145)*V(174)
  A(116) = RCT(116)*V(158)*V(174)
  A(117) = RCT(117)*V(158)*V(158)
  A(118) = RCT(118)*V(147)*V(174)
  A(119) = RCT(119)*V(139)*V(174)
  A(120) = RCT(120)*V(153)*V(174)
  A(121) = RCT(121)*V(128)*V(174)
  A(122) = RCT(122)*V(135)*V(174)
  A(123) = RCT(123)*V(155)*V(174)
  A(124) = RCT(124)*V(122)*V(174)
  A(125) = RCT(125)*V(69)*V(166)
  A(126) = RCT(126)*V(106)*V(166)
  A(127) = RCT(127)*V(143)*V(143)
  A(128) = RCT(128)*V(143)*V(143)
  A(129) = RCT(129)*V(143)*V(167)
  A(130) = RCT(130)*V(119)*V(167)
  A(131) = RCT(131)*V(115)*V(167)
  A(132) = RCT(132)*V(167)*V(175)
  A(133) = RCT(133)*V(144)*V(167)
  A(134) = RCT(134)*V(149)*V(167)
  A(135) = RCT(135)*V(151)*V(166)
  A(136) = RCT(136)*V(151)*V(170)
  A(137) = RCT(137)*V(98)*V(166)
  A(138) = RCT(138)*V(103)*V(166)
  A(139) = RCT(139)*V(98)*V(170)
  A(140) = RCT(140)*V(26)*V(166)
  A(141) = RCT(141)*V(137)*V(166)
  A(142) = RCT(142)*V(137)*V(166)
  A(143) = RCT(143)*V(151)*V(171)
  A(144) = RCT(144)*V(124)*V(166)
  A(145) = RCT(145)*V(152)*V(166)
  A(146) = RCT(146)*V(124)*V(171)
  A(147) = RCT(147)*V(152)*V(171)
  A(148) = RCT(148)*V(114)*V(166)
  A(149) = RCT(149)*V(162)*V(166)
  A(150) = RCT(150)*V(166)*V(172)
  A(151) = RCT(151)*V(160)*V(166)
  A(152) = RCT(152)*V(160)*V(166)
  A(153) = RCT(153)*V(119)*V(175)
  A(154) = RCT(154)*V(115)*V(175)
  A(155) = RCT(155)*V(119)*V(175)
  A(156) = RCT(156)*V(115)*V(175)
  A(157) = RCT(157)*V(114)*V(170)
  A(158) = RCT(158)*V(162)*V(170)
  A(159) = RCT(159)*V(170)*V(172)
  A(160) = RCT(160)*V(114)*V(171)
  A(161) = RCT(161)*V(171)*V(172)
  A(162) = RCT(162)*V(171)*V(172)
  A(163) = RCT(163)*V(144)*V(174)
  A(164) = RCT(164)*V(149)*V(174)
  A(165) = RCT(165)*V(144)*V(174)
  A(166) = RCT(166)*V(149)*V(174)
  A(167) = RCT(167)*V(97)*V(166)
  A(168) = RCT(168)*V(97)*V(166)
  A(169) = RCT(169)*V(73)*V(166)
  A(170) = RCT(170)*V(63)*V(166)
  A(171) = RCT(171)*V(59)*V(166)
  A(172) = RCT(172)*V(60)*V(166)
  A(173) = RCT(173)*V(76)*V(166)
  A(174) = RCT(174)*V(71)*V(166)
  A(175) = RCT(175)*V(72)*V(166)
  A(176) = RCT(176)*V(90)*V(166)
  A(177) = RCT(177)*V(83)*V(166)
  A(178) = RCT(178)*V(91)*V(166)
  A(179) = RCT(179)*V(90)*V(166)
  A(180) = RCT(180)*V(83)*V(166)
  A(181) = RCT(181)*V(91)*V(166)
  A(182) = RCT(182)*V(17)*V(166)
  A(183) = RCT(183)*V(48)*V(166)
  A(184) = RCT(184)*V(49)*V(166)
  A(185) = RCT(185)*V(44)*V(166)
  A(186) = RCT(186)*V(121)*V(167)
  A(187) = RCT(187)*V(121)*V(168)
  A(188) = RCT(188)*V(80)*V(166)
  A(189) = RCT(189)*V(84)*V(166)
  A(190) = RCT(190)*V(81)*V(166)
  A(191) = RCT(191)*V(81)*V(166)
  A(192) = RCT(192)*V(94)*V(166)
  A(193) = RCT(193)*V(94)*V(166)
  A(194) = RCT(194)*V(134)*V(175)
  A(195) = RCT(195)*V(134)*V(175)
  A(196) = RCT(196)*V(134)*V(174)
  A(197) = RCT(197)*V(134)*V(134)
  A(198) = RCT(198)*V(134)*V(167)
  A(199) = RCT(199)*V(134)*V(168)
  A(200) = RCT(200)*V(134)*V(168)
  A(201) = RCT(201)*V(53)*V(166)
  A(202) = RCT(202)*V(68)*V(171)
  A(203) = RCT(203)*V(156)*V(170)
  A(204) = RCT(204)*V(175)*V(175)
  A(205) = RCT(205)*V(174)*V(175)
  A(206) = RCT(206)*V(174)*V(175)
  A(207) = RCT(207)*V(157)*V(175)
  A(208) = RCT(208)*V(136)*V(175)
  A(209) = RCT(209)*V(145)*V(175)
  A(210) = RCT(210)*V(158)*V(175)
  A(211) = RCT(211)*V(147)*V(175)
  A(212) = RCT(212)*V(139)*V(175)
  A(213) = RCT(213)*V(153)*V(175)
  A(214) = RCT(214)*V(135)*V(175)
  A(215) = RCT(215)*V(140)*V(175)
  A(216) = RCT(216)*V(128)*V(175)
  A(217) = RCT(217)*V(155)*V(175)
  A(218) = RCT(218)*V(122)*V(175)
  A(219) = RCT(219)*V(157)*V(175)
  A(220) = RCT(220)*V(136)*V(175)
  A(221) = RCT(221)*V(145)*V(175)
  A(222) = RCT(222)*V(158)*V(175)
  A(223) = RCT(223)*V(147)*V(175)
  A(224) = RCT(224)*V(139)*V(175)
  A(225) = RCT(225)*V(153)*V(175)
  A(226) = RCT(226)*V(140)*V(175)
  A(227) = RCT(227)*V(128)*V(175)
  A(228) = RCT(228)*V(155)*V(175)
  A(229) = RCT(229)*V(122)*V(175)
  A(230) = RCT(230)*V(135)*V(175)
  A(231) = RCT(231)*V(143)*V(175)
  A(232) = RCT(232)*V(143)*V(175)
  A(233) = RCT(233)*V(144)*V(175)
  A(234) = RCT(234)*V(149)*V(175)
  A(235) = RCT(235)*V(171)*V(171)
  A(236) = RCT(236)*V(173)*V(174)
  A(237) = RCT(237)*V(57)
  A(238) = RCT(238)*V(107)*V(170)
  A(239) = RCT(239)*V(138)*V(170)
  A(240) = RCT(240)*V(167)
  A(241) = RCT(241)*V(173)
  A(242) = RCT(242)*V(171)
  A(243) = RCT(243)*V(45)
  A(244) = RCT(244)*V(64)*V(166)
  A(245) = RCT(245)*V(64)*V(166)
  A(246) = RCT(246)*V(64)*V(171)
  A(247) = RCT(247)*V(166)*V(176)
  A(248) = RCT(248)*V(165)*V(170)
  A(249) = RCT(249)*V(111)*V(167)
  A(250) = RCT(250)*V(165)*V(167)
  A(251) = RCT(251)*V(67)*V(166)
  A(252) = RCT(252)*V(111)*V(111)
  A(253) = RCT(253)*V(111)*V(111)
  A(254) = RCT(254)*V(111)*V(168)
  A(255) = RCT(255)*V(74)*V(165)
  A(256) = RCT(256)*V(66)*V(166)
  A(257) = RCT(257)*V(111)*V(166)
  A(258) = RCT(258)*V(165)*V(171)
  A(259) = RCT(259)*V(154)*V(165)
  A(260) = RCT(260)*V(161)*V(165)
  A(261) = RCT(261)*V(116)*V(165)
  A(262) = RCT(262)*V(68)*V(165)
  A(263) = RCT(263)*V(56)*V(165)
  A(264) = RCT(264)*V(165)*V(173)
  A(265) = RCT(265)*V(111)*V(173)
  A(266) = RCT(266)*V(35)*V(166)
  A(267) = RCT(267)*V(33)*V(166)
  A(268) = RCT(268)*V(34)*V(166)
  A(269) = RCT(269)*V(74)
  A(270) = RCT(270)*V(65)
  A(271) = RCT(271)*V(67)
  A(272) = RCT(272)*V(65)
  A(273) = RCT(273)*V(67)
  A(274) = RCT(274)*V(156)*V(166)
  A(275) = RCT(275)*V(147)*V(168)
  A(276) = RCT(276)*V(147)*V(168)
  A(277) = RCT(277)*V(147)*V(167)
  A(278) = RCT(278)*V(138)*V(166)
  A(279) = RCT(279)*V(107)*V(166)
  A(280) = RCT(280)*V(130)*V(168)
  A(281) = RCT(281)*V(130)*V(167)
  A(282) = RCT(282)*V(133)*V(168)
  A(283) = RCT(283)*V(133)*V(167)
  A(284) = RCT(284)*V(93)*V(166)
  A(285) = RCT(285)*V(123)*V(166)
  A(286) = RCT(286)*V(132)*V(166)
  A(287) = RCT(287)*V(102)*V(168)
  A(288) = RCT(288)*V(102)*V(167)
  A(289) = RCT(289)*V(102)*V(173)
  A(290) = RCT(290)*V(40)
  A(291) = RCT(291)*V(89)*V(166)
  A(292) = RCT(292)*V(101)*V(168)
  A(293) = RCT(293)*V(101)*V(168)
  A(294) = RCT(294)*V(101)*V(167)
  A(295) = RCT(295)*V(87)*V(166)
  A(296) = RCT(296)*V(100)*V(168)
  A(297) = RCT(297)*V(100)*V(168)
  A(298) = RCT(298)*V(100)*V(167)
  A(299) = RCT(299)*V(87)*V(170)
  A(300) = RCT(300)*V(95)*V(166)
  A(301) = RCT(301)*V(127)*V(166)
  A(302) = RCT(302)*V(113)*V(168)
  A(303) = RCT(303)*V(113)*V(173)
  A(304) = RCT(304)*V(113)*V(176)
  A(305) = RCT(305)*V(113)*F(3)
  A(306) = RCT(306)*V(113)*F(3)
  A(307) = RCT(307)*V(125)*V(169)
  A(308) = RCT(308)*V(125)*V(168)
  A(309) = RCT(309)*V(125)*V(173)
  A(310) = RCT(310)*V(125)*V(176)
  A(311) = RCT(311)*V(125)*F(3)
  A(312) = RCT(312)*V(125)*F(3)
  A(313) = RCT(313)*V(104)*V(169)
  A(314) = RCT(314)*V(104)*V(168)
  A(315) = RCT(315)*V(104)*V(173)
  A(316) = RCT(316)*V(104)*V(176)
  A(317) = RCT(317)*V(104)*F(3)
  A(318) = RCT(318)*V(112)*V(169)
  A(319) = RCT(319)*V(112)*V(168)
  A(320) = RCT(320)*V(112)*V(173)
  A(321) = RCT(321)*V(112)*V(176)
  A(322) = RCT(322)*V(112)*F(3)
  A(323) = RCT(323)*V(118)*V(169)
  A(324) = RCT(324)*V(118)*V(168)
  A(325) = RCT(325)*V(118)*V(173)
  A(326) = RCT(326)*V(118)*V(176)
  A(327) = RCT(327)*V(118)*F(3)
  A(328) = RCT(328)*V(118)*F(3)
  A(329) = RCT(329)*V(109)*V(169)
  A(330) = RCT(330)*V(109)*V(168)
  A(331) = RCT(331)*V(109)*V(173)
  A(332) = RCT(332)*V(109)*V(176)
  A(333) = RCT(333)*V(109)*F(3)
  A(334) = RCT(334)*V(109)*F(3)
  A(335) = RCT(335)*V(110)*V(169)
  A(336) = RCT(336)*V(110)*V(168)
  A(337) = RCT(337)*V(110)*V(173)
  A(338) = RCT(338)*V(110)*V(176)
  A(339) = RCT(339)*V(110)*F(3)
  A(340) = RCT(340)*V(110)*F(3)
  A(341) = RCT(341)*V(38)*V(166)
  A(342) = RCT(342)*V(42)*V(166)
  A(343) = RCT(343)*V(62)*V(166)
  A(344) = RCT(344)*V(62)*V(171)
  A(345) = RCT(345)*V(1)
  A(346) = RCT(346)*V(46)*V(167)
  A(347) = RCT(347)*V(46)*V(168)
  A(348) = RCT(348)*V(47)*V(167)
  A(349) = RCT(349)*V(47)*V(168)
  A(350) = RCT(350)*V(52)*V(167)
  A(351) = RCT(351)*V(52)*V(168)
  A(352) = RCT(352)*V(96)*V(166)
  A(353) = RCT(353)*V(148)*V(168)
  A(354) = RCT(354)*V(148)*V(167)
  A(355) = RCT(355)*V(148)*V(174)
  A(356) = RCT(356)*V(148)*V(175)
  A(357) = RCT(357)*V(148)*V(171)
  A(358) = RCT(358)*V(96)*V(170)
  A(359) = RCT(359)*V(96)*V(171)
  A(360) = RCT(360)*V(99)*V(166)
  A(361) = RCT(361)*V(99)*V(170)
  A(362) = RCT(362)*V(99)*V(171)
  A(363) = RCT(363)*V(146)*V(168)
  A(364) = RCT(364)*V(146)*V(167)
  A(365) = RCT(365)*V(146)*V(174)
  A(366) = RCT(366)*V(146)*V(175)
  A(367) = RCT(367)*V(146)*V(171)
  A(368) = RCT(368)*V(75)*V(166)
  A(369) = RCT(369)*V(142)*V(168)
  A(370) = RCT(370)*V(141)*V(168)
  A(371) = RCT(371)*V(142)*V(167)
  A(372) = RCT(372)*V(141)*V(167)
  A(373) = RCT(373)*V(142)*V(174)
  A(374) = RCT(374)*V(141)*V(174)
  A(375) = RCT(375)*V(142)*V(175)
  A(376) = RCT(376)*V(141)*V(175)
  A(377) = RCT(377)*V(142)*V(171)
  A(378) = RCT(378)*V(141)*V(171)
  A(379) = RCT(379)*V(142)*V(142)
  A(380) = RCT(380)*V(141)*V(142)
  A(381) = RCT(381)*V(141)*V(141)
  A(382) = RCT(382)*V(108)*V(166)
  A(383) = RCT(383)*V(126)*V(166)
  A(384) = RCT(384)*V(126)*V(170)
  A(385) = RCT(385)*V(126)*V(171)
  A(386) = RCT(386)*V(108)*V(171)
  A(387) = RCT(387)*V(88)*V(166)
  A(388) = RCT(388)*V(82)*V(166)
  A(389) = RCT(389)*V(77)*V(166)
  A(390) = RCT(390)*V(79)*V(168)
  A(391) = RCT(391)*V(85)*V(168)
  A(392) = RCT(392)*V(79)*V(167)
  A(393) = RCT(393)*V(85)*V(167)
  A(394) = RCT(394)*V(79)
  A(395) = RCT(395)*V(79)
  A(396) = RCT(396)*V(124)
  A(397) = RCT(397)*V(152)
  A(398) = RCT(398)*V(48)
  A(399) = RCT(399)*V(49)
  A(400) = RCT(400)*V(44)
  A(401) = RCT(401)*V(26)
  A(402) = RCT(402)*V(17)
  A(403) = RCT(403)*V(5)
  A(404) = RCT(404)*V(138)
  A(405) = RCT(405)*V(107)
  A(406) = RCT(406)*V(132)
  A(407) = RCT(407)*V(123)
  A(408) = RCT(408)*V(159)
  A(409) = RCT(409)*V(39)
  A(410) = RCT(410)*V(108)
  A(411) = RCT(411)*V(126)
  A(412) = RCT(412)*V(88)
  A(413) = RCT(413)*V(50)
  A(414) = RCT(414)*V(37)
  A(415) = RCT(415)*V(13)*V(166)
  A(416) = RCT(416)*V(12)*V(167)
  A(417) = RCT(417)*V(12)*V(168)
  A(418) = RCT(418)*V(170)
  A(419) = RCT(419)*V(170)
  A(420) = RCT(420)*V(173)
  A(421) = RCT(421)*V(86)
  A(422) = RCT(422)*V(58)
  A(423) = RCT(423)*V(154)
  A(424) = RCT(424)*V(154)
  A(425) = RCT(425)*V(131)
  A(426) = RCT(426)*V(54)
  A(427) = RCT(427)*V(61)
  A(428) = RCT(428)*V(61)
  A(429) = RCT(429)*V(171)
  A(430) = RCT(430)*V(171)
  A(431) = RCT(431)*V(45)
  A(432) = RCT(432)*V(161)
  A(433) = RCT(433)*V(161)
  A(434) = RCT(434)*V(70)
  A(435) = RCT(435)*V(164)
  A(436) = RCT(436)*V(116)
  A(437) = RCT(437)*V(116)
  A(438) = RCT(438)*V(163)
  A(439) = RCT(439)*V(137)
  A(440) = RCT(440)*V(124)
  A(441) = RCT(441)*V(124)
  A(442) = RCT(442)*V(124)
  A(443) = RCT(443)*V(152)
  A(444) = RCT(444)*V(162)
  A(445) = RCT(445)*V(162)
  A(446) = RCT(446)*V(162)
  A(447) = RCT(447)*V(172)
  A(448) = RCT(448)*V(160)
  A(449) = RCT(449)*V(97)
  A(450) = RCT(450)*V(73)
  A(451) = RCT(451)*V(63)
  A(452) = RCT(452)*V(59)
  A(453) = RCT(453)*V(60)
  A(454) = RCT(454)*V(76)
  A(455) = RCT(455)*V(72)
  A(456) = RCT(456)*V(71)
  A(457) = RCT(457)*V(90)
  A(458) = RCT(458)*V(83)
  A(459) = RCT(459)*V(91)
  A(460) = RCT(460)*V(80)
  A(461) = RCT(461)*V(93)
  A(462) = RCT(462)*V(84)
  A(463) = RCT(463)*V(81)
  A(464) = RCT(464)*V(94)
  A(465) = RCT(465)*V(159)
  A(466) = RCT(466)*V(53)
  A(467) = RCT(467)*V(132)
  A(468) = RCT(468)*V(123)
  A(469) = RCT(469)*V(107)
  A(470) = RCT(470)*V(66)
  A(471) = RCT(471)*V(111)
  A(472) = RCT(472)*V(65)
  A(473) = RCT(473)*V(74)
  A(474) = RCT(474)*V(74)
  A(475) = RCT(475)*V(43)
  A(476) = RCT(476)*V(35)
  A(477) = RCT(477)*V(57)
  A(478) = RCT(478)*V(57)
  A(479) = RCT(479)*V(138)
  A(480) = RCT(480)*V(127)
  A(481) = RCT(481)*V(78)
  A(482) = RCT(482)*V(75)
  A(483) = RCT(483)*V(103)
  A(484) = RCT(484)*V(95)
  A(485) = RCT(485)*V(36)
  A(486) = RCT(486)*V(77)
  A(487) = RCT(487)*V(150)
  A(488) = RCT(488)*V(108)
  A(489) = RCT(489)*V(126)
  A(490) = RCT(490)*V(88)

! Aggregate function
  Vdot(1) = -A(345)
  Vdot(2) = A(13)+A(36)+A(44)+A(84)+A(93)+0.361*A(141)+0.5*A(152)+1.172*A(186)+0.858*A(187)+A(191)+2*A(194)+0.7*A(196)+2&
              &*A(197)+A(198)+A(199)+A(210)+A(216)+0.36*A(238)+0.63*A(239)+0.93*A(287)+0.93*A(288)+A(296)+0.5*A(298)+A(299)&
              &+A(300)+A(344)+0.085*A(389)+0.4*A(483)
  Vdot(3) = A(413)+A(414)
  Vdot(4) = A(403)
  Vdot(5) = 0.04*A(67)+0.04*A(68)+0.04*A(69)+0.04*A(70)+0.04*A(71)+0.04*A(72)+0.04*A(73)+0.04*A(74)+0.04*A(77)+0.04&
              &*A(78)+0.04*A(79)-A(403)
  Vdot(6) = A(346)
  Vdot(7) = A(347)
  Vdot(8) = A(148)
  Vdot(9) = A(160)
  Vdot(10) = A(416)
  Vdot(11) = A(417)
  Vdot(12) = A(415)-A(416)-A(417)
  Vdot(13) = -A(415)
  Vdot(14) = A(348)
  Vdot(15) = A(349)
  Vdot(16) = A(402)
  Vdot(17) = 0.005*A(176)+0.005*A(177)+0.005*A(178)+0.005*A(179)+0.005*A(181)-A(182)-A(402)+0.005*A(457)+0.005*A(458)&
               &+0.005*A(459)
  Vdot(18) = A(350)
  Vdot(19) = A(351)
  Vdot(20) = 0.25*A(245)
  Vdot(21) = 0.35*A(285)
  Vdot(22) = A(247)+A(304)+A(310)+A(316)+A(321)+A(326)+A(332)+A(338)
  Vdot(23) = A(396)
  Vdot(24) = A(398)+A(399)+A(400)
  Vdot(25) = A(401)
  Vdot(26) = 0.781*A(138)-A(140)-A(401)
  Vdot(27) = A(397)
  Vdot(28) = A(6)+A(10)+A(15)+A(25)+A(27)+A(44)+A(46)+A(49)+A(50)+A(52)+A(53)+A(54)+A(55)+A(56)+A(57)+A(59)+A(60)+A(62)&
               &+A(63)+A(64)+0.96*A(68)+0.21*A(70)+1.78*A(72)+0.36*A(74)+A(81)+A(90)+A(92)+A(93)+0.15*A(132)+0.15*A(133)&
               &+0.15*A(134)+1.81*A(138)+A(187)+A(199)+A(200)+A(256)+A(275)+A(276)+1.394*A(280)+A(281)+1.58*A(282)+1.01&
               &*A(283)+A(285)+1.15*A(287)+0.15*A(288)+A(290)+A(292)+A(293)+A(296)+A(297)+A(302)+A(303)+A(308)+A(309)+A(314)&
               &+A(315)+A(319)+A(320)+A(324)+A(325)+A(330)+A(331)+A(336)+A(337)+0.82*A(353)+0.78*A(363)+A(369)+2*A(370)+0.5&
               &*A(374)+A(376)+0.5*A(380)+A(381)+2*A(387)+A(390)+A(391)+A(413)+A(414)+A(427)+0.3*A(434)+A(477)+1.4*A(483)&
               &+A(488)+A(489)+A(490)
  Vdot(29) = A(2)+A(3)+A(5)+A(31)+A(33)+2*A(38)+A(39)+A(41)+A(65)+1.4*A(66)+1.04*A(67)+2*A(69)+0.06*A(71)+0.04*A(73)&
               &+A(75)+0.106*A(77)+0.04*A(78)+0.34*A(79)+A(82)+A(88)+A(94)+A(111)+A(136)+A(143)+A(146)+A(147)+A(157)+A(158)&
               &+A(159)+A(160)+A(161)+1.5*A(162)+A(202)+A(203)+2*A(235)+0.64*A(238)+A(239)+0.5*A(241)+A(242)+A(243)+A(246)+2&
               &*A(252)+2*A(253)+A(257)+A(270)+A(272)+0.9*A(278)+0.9*A(279)+0.388*A(284)+A(289)+A(299)+2*A(344)+A(357)&
               &+A(358)+2*A(359)+A(361)+2*A(362)+A(367)+A(377)+A(384)+2*A(385)+2*A(386)+A(404)+A(405)+A(406)+A(407)+A(408)&
               &+A(418)+A(419)+2*A(430)+A(472)
  Vdot(30) = A(23)+A(39)+0.05*A(40)+0.728*A(60)+A(61)+0.5*A(62)+A(67)+A(68)+0.5*A(93)+0.075*A(105)+0.29*A(117)+0.33&
               &*A(118)+0.595*A(120)+0.375*A(121)+0.39*A(134)+0.56*A(136)+A(137)+0.03*A(138)+0.505*A(141)+A(142)+2*A(144)&
               &+A(145)+2*A(146)+A(147)+0.5*A(152)+0.495*A(157)+0.56*A(158)+0.625*A(159)+0.5*A(162)+0.6*A(186)+0.678*A(187)&
               &+0.89*A(203)+0.09*A(211)+0.857*A(213)+0.5*A(216)+0.21*A(238)+A(259)+0.09*A(275)+1.5*A(291)+0.14*A(358)+0.14&
               &*A(361)+0.5*A(388)+0.55*A(389)+A(394)+A(423)+A(424)+0.88*A(432)+A(433)+A(435)+A(437)+A(439)+2*A(440)+2&
               &*A(441)+A(442)+A(443)+A(444)+A(445)+A(447)+0.67*A(460)+0.5*A(463)+0.5*A(467)+A(480)+A(484)+1.89*A(486)
  Vdot(31) = A(13)+A(307)+A(313)+A(318)+A(323)+A(329)+A(335)
  Vdot(32) = A(247)+A(304)+A(310)+A(316)+A(321)+A(326)+A(332)+A(338)
  Vdot(33) = -A(267)
  Vdot(34) = -A(268)
  Vdot(35) = -A(266)-A(476)
  Vdot(36) = A(395)-A(485)
  Vdot(37) = A(410)+A(411)+A(412)-A(414)
  Vdot(38) = -A(341)
  Vdot(39) = 0.27*A(280)+0.21*A(282)-A(409)
  Vdot(40) = A(289)-A(290)
  Vdot(41) = A(86)-A(87)
  Vdot(42) = -A(342)
  Vdot(43) = A(264)-A(475)
  Vdot(44) = 0.5*A(181)-A(185)+0.1*A(278)-A(400)
  Vdot(45) = A(34)-A(35)-A(243)-A(431)
  Vdot(46) = A(341)-A(346)-A(347)
  Vdot(47) = A(342)-A(348)-A(349)
  Vdot(48) = 0.578*A(179)+0.68*A(180)-A(183)+0.067*A(279)-A(398)
  Vdot(49) = 0.272*A(179)+0.32*A(180)-A(184)+0.033*A(279)-A(399)
  Vdot(50) = A(404)+A(405)+A(406)+A(407)+A(408)+A(409)-A(413)
  Vdot(51) = -A(51)-A(82)
  Vdot(52) = A(343)-A(350)-A(351)
  Vdot(53) = 0.41*A(132)-A(201)-A(466)
  Vdot(54) = A(26)-A(27)+0.5*A(241)-A(426)
  Vdot(55) = -A(88)+A(90)+0.53*A(150)+0.5*A(162)+0.6*A(483)
  Vdot(56) = -A(47)-A(48)-A(263)
  Vdot(57) = A(236)-A(237)-A(477)-A(478)
  Vdot(58) = A(16)-A(19)-A(20)-A(422)
  Vdot(59) = A(130)-A(171)-A(452)
  Vdot(60) = A(106)-A(172)-A(453)
  Vdot(61) = A(28)-A(29)-A(30)-A(427)-A(428)
  Vdot(62) = -A(343)-A(344)
  Vdot(63) = A(129)-A(170)-A(451)
  Vdot(64) = -A(244)-A(245)-A(246)
  Vdot(65) = A(249)+A(256)+A(269)-A(270)-A(272)-A(472)
  Vdot(66) = A(253)+A(255)-A(256)+0.5*A(270)+0.5*A(271)+0.5*A(272)+0.5*A(273)-A(470)
  Vdot(67) = A(250)-A(251)+A(259)+A(260)+A(261)+A(262)+A(263)-A(271)-A(273)
  Vdot(68) = -A(45)-A(202)-A(262)
  Vdot(69) = 0.25*A(110)-A(125)+A(128)+0.09*A(239)
  Vdot(70) = A(42)-A(43)+0.19*A(138)-A(434)
  Vdot(71) = 0.75*A(70)+0.41*A(133)-A(174)-A(456)
  Vdot(72) = A(131)-A(175)-A(455)
  Vdot(73) = A(108)-A(169)-A(450)
  Vdot(74) = -A(255)+A(265)-A(269)-A(473)-A(474)
  Vdot(75) = A(354)+A(364)-A(368)-A(482)
  Vdot(76) = A(98)-A(173)+0.85*A(294)+0.5*A(298)-A(454)
  Vdot(77) = 0.5*A(58)-A(389)-A(486)
  Vdot(78) = -A(21)-A(22)+0.85*A(100)+0.85*A(101)-A(481)
  Vdot(79) = 0.5*A(58)-A(390)-A(392)-A(394)-A(395)
  Vdot(80) = -A(188)+0.1*A(277)-A(460)
  Vdot(81) = A(104)-A(190)-A(191)+A(311)-A(463)
  Vdot(82) = 0.44*A(186)+0.473*A(187)-A(388)
  Vdot(83) = 0.272*A(102)-A(177)-A(180)-A(458)
  Vdot(84) = 0.1*A(103)-A(189)-A(462)
  Vdot(85) = 0.365*A(389)-A(391)-A(393)
  Vdot(86) = A(7)-A(9)+A(11)+A(305)+A(312)+A(317)+A(322)+A(328)+A(333)+A(339)+0.02*A(358)+0.02*A(361)-A(421)
  Vdot(87) = 0.17*A(211)+0.17*A(275)-A(295)-A(299)
  Vdot(88) = A(382)+A(383)+A(384)+A(385)+A(386)-A(387)-A(412)-A(490)
  Vdot(89) = 0.654*A(188)+0.29*A(211)+0.29*A(275)-A(291)
  Vdot(90) = 0.628*A(102)-A(176)-A(179)-A(457)
  Vdot(91) = 0.037*A(102)-A(178)-A(181)-A(459)
  Vdot(92) = -A(36)+0.134*A(141)+A(142)+0.5*A(152)+0.278*A(186)+0.142*A(187)+0.16*A(238)+0.057*A(280)+0.65*A(285)+0.07&
               &*A(287)+0.07*A(288)+A(306)+0.07*A(353)+0.01*A(361)
  Vdot(93) = 0.5*A(281)+0.51*A(283)-A(284)-A(461)
  Vdot(94) = 0.85*A(105)+0.41*A(134)+0.5*A(162)-A(192)-A(193)-A(464)
  Vdot(95) = 0.26*A(239)+0.21*A(280)+0.2*A(281)-A(300)-A(484)
  Vdot(96) = -A(352)-A(358)-A(359)
  Vdot(97) = 0.96*A(73)+0.96*A(78)+A(107)-A(167)-A(168)-A(449)
  Vdot(98) = A(89)-A(91)-A(137)-A(139)
  Vdot(99) = -A(360)-A(361)-A(362)
  Vdot(100) = A(295)-A(296)-A(297)-A(298)
  Vdot(101) = 0.03*A(57)+0.09*A(117)+0.113*A(210)-A(292)-A(293)-A(294)
  Vdot(102) = A(286)-A(287)-A(288)-A(289)+A(290)
  Vdot(103) = 0.96*A(69)+A(88)-A(90)-A(138)-A(483)
  Vdot(104) = 0.044*A(157)-A(313)-A(314)-A(315)-A(316)-A(317)
  Vdot(105) = -A(84)+0.15*A(132)+0.5*A(152)+A(155)+A(156)+A(195)+A(206)+A(219)+A(220)+A(221)+A(222)+A(223)+A(224)+A(225)&
                &+A(226)+A(227)+A(228)+A(229)+A(230)+A(232)+0.08*A(287)+0.08*A(288)+A(334)
  Vdot(106) = 0.25*A(96)+0.25*A(97)+0.25*A(112)+0.25*A(113)+0.25*A(115)+0.24*A(116)+0.25*A(118)+0.25*A(119)+0.15*A(120)&
                &+0.25*A(122)+0.25*A(124)-A(126)+0.3*A(196)+0.25*A(355)+0.25*A(365)+0.25*A(374)
  Vdot(107) = 0.081*A(57)-A(238)-A(279)-A(405)-A(469)
  Vdot(108) = 0.12*A(353)+A(369)+0.7*A(371)+0.7*A(372)+0.7*A(373)+0.35*A(374)+0.7*A(375)+0.7*A(377)+1.4*A(379)+1.05&
                &*A(380)+0.7*A(381)-A(382)-A(386)-A(410)-A(488)
  Vdot(109) = 0.12*A(136)-A(329)-A(330)-A(331)-A(332)-A(333)-A(334)
  Vdot(110) = 0.055*A(203)-A(335)-A(336)-A(337)-A(338)-A(339)-A(340)
  Vdot(111) = A(248)-A(249)-2*A(252)-2*A(253)-A(254)-A(257)+A(258)-A(265)-A(471)+A(474)
  Vdot(112) = 0.022*A(159)+0.055*A(203)-A(318)-A(319)-A(320)-A(321)-A(322)
  Vdot(113) = 0.12*A(136)+0.11*A(157)+0.12*A(158)+0.326*A(159)-A(302)-A(303)-A(304)-A(305)-A(306)
  Vdot(114) = -A(148)-A(157)-A(160)
  Vdot(115) = -A(50)-A(97)-A(131)+A(135)-A(154)-A(156)+0.209*A(175)
  Vdot(116) = 0.32*A(52)+A(63)-A(95)+0.16*A(112)+0.75*A(122)+0.791*A(172)+0.32*A(207)+A(214)+A(230)-A(261)+0.11*A(353)&
                &-A(436)-A(437)+A(453)+0.32*A(465)
  Vdot(117) = 0.655*A(76)-A(77)-A(78)-A(79)
  Vdot(118) = 0.12*A(158)-A(323)-A(324)-A(325)-A(326)-A(327)-A(328)
  Vdot(119) = A(48)-A(49)+0.05*A(52)-A(96)+0.03*A(112)-A(130)-A(153)-A(155)+0.36*A(171)+0.05*A(207)+A(263)+0.05*A(465)
  Vdot(120) = 0.4*A(66)-A(71)-A(72)-A(73)-A(74)
  Vdot(121) = A(183)+A(184)+A(185)-A(186)-A(187)
  Vdot(122) = -A(81)-A(108)-A(124)+A(143)+0.209*A(169)-A(218)-A(229)
  Vdot(123) = 0.12*A(59)+0.21*A(238)+0.075*A(280)+0.06*A(281)+0.26*A(282)+0.16*A(283)-A(285)-A(407)-A(468)
  Vdot(124) = A(71)+0.94*A(72)+0.7*A(74)+0.7*A(75)+0.919*A(77)+0.7*A(79)+0.134*A(141)-A(144)-A(146)+0.085*A(186)+0.088&
                &*A(187)+0.216*A(211)+0.06*A(239)+0.216*A(275)+0.48*A(292)+0.072*A(294)+0.252*A(341)+0.26*A(342)+0.268&
                &*A(343)+0.085*A(389)+A(390)+A(391)-A(396)-A(440)-A(441)-A(442)+A(485)+0.25*A(487)
  Vdot(125) = 0.044*A(157)-A(307)-A(308)-A(309)-A(310)-A(311)-A(312)
  Vdot(126) = 0.06*A(353)+0.22*A(363)+0.3*A(371)+0.3*A(372)+0.3*A(373)+0.15*A(374)+0.3*A(375)+0.3*A(377)+0.6*A(379)+0.45&
                &*A(380)+0.3*A(381)-A(383)-A(384)-A(385)-A(411)-A(489)
  Vdot(127) = 0.5*A(62)+0.96*A(67)+0.96*A(68)+0.94*A(71)+0.9*A(72)+0.66*A(74)+0.3*A(75)+0.894*A(77)+0.66*A(79)+0.075&
                &*A(105)+0.375*A(121)+0.791*A(169)+0.5*A(216)+0.42*A(238)+0.38*A(239)+0.3*A(280)+0.23*A(281)-A(301)-A(480)
  Vdot(128) = -A(62)-A(105)-A(121)+A(161)-A(216)-A(227)
  Vdot(129) = 0.6*A(66)-A(67)-A(68)-A(69)-A(70)+0.345*A(76)
  Vdot(130) = 0.9*A(278)-0.943*A(280)-A(281)+0.193*A(284)
  Vdot(131) = A(24)-A(25)+A(39)+A(41)+0.6*A(66)+A(82)+A(94)+A(111)+A(146)+A(147)+0.5*A(162)+A(200)+A(202)+0.41*A(238)&
                &+0.3*A(239)+0.5*A(241)+A(242)+2*A(243)+A(246)+A(269)+A(276)+A(293)+A(297)+A(413)+A(414)-A(425)
  Vdot(132) = 0.15*A(60)+0.32*A(238)+0.019*A(280)+0.01*A(281)+0.44*A(282)+0.28*A(283)-A(286)-A(406)-A(467)
  Vdot(133) = 0.9*A(279)-A(282)-A(283)+0.193*A(284)
  Vdot(134) = A(193)-A(194)-A(195)-A(196)-2*A(197)-A(198)-A(199)-A(200)
  Vdot(135) = A(47)+0.18*A(52)-A(63)-A(106)+0.09*A(112)-A(122)+0.209*A(172)+0.18*A(207)-A(214)-A(230)+0.18*A(465)
  Vdot(136) = A(21)-A(55)+A(95)-A(100)-A(114)-A(208)-A(220)+A(261)
  Vdot(137) = 0.53*A(59)+0.578*A(103)+0.13*A(118)+0.36*A(119)-A(141)-A(142)+0.025*A(186)+0.088*A(187)+0.5*A(203)+0.234&
                &*A(211)+0.6*A(212)+0.24*A(239)+0.234*A(275)+0.9*A(277)+0.3*A(280)+0.23*A(281)+0.09*A(282)+0.06*A(283)+0.52&
                &*A(292)+0.078*A(294)+A(335)+A(336)+A(337)+A(338)+A(339)-A(439)+0.26*A(460)+0.7*A(462)+A(468)+0.11*A(486)&
                &+0.5*A(487)
  Vdot(138) = 0.009*A(57)+0.5*A(80)+0.25*A(123)-A(239)-A(278)-A(404)-A(479)
  Vdot(139) = -A(59)-A(103)-A(119)+A(149)+0.054*A(157)+0.209*A(189)-A(212)-A(224)
  Vdot(140) = -A(54)+A(83)-A(99)-A(113)-A(215)-A(226)+0.612*A(284)
  Vdot(141) = 0.9*A(359)+0.5*A(362)-A(370)-A(372)-A(374)-A(376)-A(378)-A(380)-2*A(381)
  Vdot(142) = 0.1*A(359)+0.5*A(362)-A(369)-A(371)-A(373)-A(375)-A(377)-2*A(379)-A(380)
  Vdot(143) = A(45)-A(46)+0.32*A(52)+A(92)-A(110)+0.16*A(112)-2*A(127)-2*A(128)-A(129)+0.44*A(133)+A(163)+0.36*A(170)&
                &+A(202)+0.32*A(207)-A(231)-A(232)+A(233)+A(262)+0.16*A(361)+A(435)+0.85*A(438)+0.32*A(465)
  Vdot(144) = A(85)-A(86)+A(87)-A(92)+A(94)-A(133)-A(163)-A(165)+A(174)-A(233)+0.15*A(438)+A(446)
  Vdot(145) = -A(56)-A(101)+A(109)+A(111)-A(115)-A(209)-A(221)+0.62*A(358)+0.42*A(361)
  Vdot(146) = A(360)-A(363)-A(364)-A(365)-A(366)-A(367)
  Vdot(147) = -A(118)+0.145*A(179)+0.495*A(181)+0.346*A(188)-A(211)-A(223)+A(274)-A(275)-A(276)-A(277)
  Vdot(148) = A(352)-A(353)-A(354)-A(355)-A(356)-A(357)
  Vdot(149) = -A(89)+A(91)-A(93)-A(134)-A(164)-A(166)+A(192)-A(234)
  Vdot(150) = 0.7*A(64)+0.7*A(65)-A(66)-A(75)-A(76)+1.2*A(80)+0.6*A(123)+0.7*A(217)-A(487)
  Vdot(151) = -A(135)-A(136)-A(143)+0.102*A(157)+0.46*A(361)+0.289*A(363)+0.192*A(365)+0.192*A(366)+0.385*A(367)+A(444)
  Vdot(152) = A(22)+0.35*A(59)+0.122*A(60)+0.5*A(62)+0.102*A(103)+0.075*A(105)+0.5*A(114)+0.29*A(118)+0.14*A(119)+0.255&
                &*A(120)+0.375*A(121)-A(145)-A(147)+A(151)+0.5*A(158)+0.88*A(159)+0.085*A(186)+0.088*A(187)+0.5*A(203)+0.234&
                &*A(211)+0.4*A(212)+0.143*A(213)+0.5*A(216)+A(220)+0.234*A(275)+0.9*A(277)+0.65*A(285)+0.07*A(287)+0.07&
                &*A(288)+0.52*A(292)+0.078*A(294)+A(301)+A(318)+A(319)+A(320)+A(321)+A(322)+A(323)+A(324)+A(325)+A(326)&
                &+A(328)+0.215*A(342)+0.463*A(343)+0.5*A(388)+0.55*A(389)+A(390)+A(391)-A(397)-A(443)+0.58*A(460)+0.3*A(462)&
                &+A(467)+A(485)+0.5*A(486)+0.25*A(487)
  Vdot(153) = -A(60)-A(61)-A(104)-A(120)+0.47*A(150)+0.5*A(162)+A(190)-A(213)-A(225)
  Vdot(154) = A(5)+A(15)+A(17)+2*A(18)+A(20)-A(23)+A(37)-A(39)+0.05*A(40)+A(50)+0.57*A(54)+A(55)+0.82*A(57)+0.35*A(59)&
                &+0.122*A(60)+0.5*A(62)+0.07*A(64)+0.07*A(65)+0.75*A(74)+0.75*A(75)+0.75*A(79)+0.07*A(80)+A(81)+0.5*A(93)&
                &+0.75*A(96)+1.25*A(97)+0.15*A(100)+0.063*A(102)+0.102*A(103)+0.075*A(105)+0.75*A(110)+0.75*A(112)+0.95&
                &*A(113)+0.5*A(114)+0.75*A(115)+1.22*A(116)+0.75*A(117)+0.95*A(118)+0.89*A(119)+1.255*A(120)+0.625*A(121)&
                &+0.75*A(122)+0.785*A(123)+1.25*A(124)+0.59*A(134)+0.5*A(136)+0.19*A(138)+A(139)+0.732*A(141)+A(154)+0.456&
                &*A(157)+0.6*A(158)+0.12*A(159)+A(163)+2*A(164)+A(165)+A(166)+0.375*A(186)+0.375*A(187)+A(196)+0.445*A(203)&
                &+A(205)+A(206)+A(208)+0.747*A(210)+0.4*A(212)+0.143*A(213)+0.39*A(215)+0.5*A(216)+0.07*A(217)+A(218)+A(234)&
                &+0.62*A(238)+0.2*A(239)+A(244)+A(246)-A(259)+0.15*A(280)+0.07*A(281)+0.7*A(282)+0.44*A(283)+0.35*A(285)&
                &+0.08*A(287)+0.08*A(288)+A(300)+A(302)+A(303)+A(304)+A(305)+1.92*A(341)+1.92*A(342)+1.92*A(343)+3*A(345)&
                &+0.23*A(353)+0.75*A(355)+0.04*A(361)+0.231*A(363)+1.04*A(365)+0.385*A(366)+0.385*A(367)+0.287*A(370)+A(373)&
                &+0.965*A(374)+0.287*A(376)+0.287*A(378)+0.202*A(380)+0.504*A(381)+A(388)+0.55*A(389)+A(422)-A(423)-A(424)&
                &+0.9*A(439)+A(442)+A(445)+A(447)+A(448)+A(455)+0.71*A(457)+0.71*A(458)+0.71*A(459)+0.3*A(462)+0.5*A(463)&
                &+A(464)+0.5*A(467)+A(477)+A(480)+A(481)+0.4*A(483)+A(484)+A(487)
  Vdot(155) = -A(64)-A(65)-2*A(80)-A(107)-A(123)+A(160)+0.36*A(168)-A(217)-A(228)
  Vdot(156) = 0.058*A(57)+0.23*A(64)+0.23*A(65)+0.23*A(80)+0.3*A(116)+1.11*A(117)+0.115*A(123)+0.245*A(176)+0.515*A(177)&
                &+0.745*A(178)-A(203)+0.14*A(210)+0.23*A(217)-A(274)+0.275*A(457)+0.275*A(458)+0.275*A(459)+A(469)+A(479)
  Vdot(157) = A(51)-A(52)-A(53)+A(82)-A(98)-A(112)+0.15*A(113)+0.209*A(173)-A(207)+0.3*A(215)-A(219)+0.44*A(368)
  Vdot(158) = -A(57)-A(58)-A(102)-A(116)-2*A(117)+A(148)+0.75*A(176)+0.48*A(177)+0.25*A(178)-A(210)-A(222)
  Vdot(159) = A(53)+0.07*A(56)-A(83)+A(99)+0.25*A(121)+0.64*A(168)-A(408)-A(465)
  Vdot(160) = 0.728*A(60)+A(61)+0.16*A(97)+0.2*A(114)+0.18*A(118)+0.595*A(120)+A(137)+0.03*A(138)-A(151)-A(152)+0.65&
                &*A(156)+0.791*A(175)+0.085*A(186)+0.117*A(187)+A(191)+A(194)+0.7*A(196)+2*A(197)+A(198)+A(199)+0.216*A(211)&
                &+0.857*A(213)+0.42*A(239)+0.216*A(275)+0.27*A(280)+0.2*A(281)+0.09*A(282)+0.06*A(283)+0.85*A(287)+0.85&
                &*A(288)+0.5*A(291)+0.48*A(292)+0.072*A(294)+A(340)+0.058*A(363)+A(387)-A(448)+0.36*A(460)+A(463)+A(467)&
                &+0.39*A(486)+0.5*A(487)+A(490)
  Vdot(161) = -A(40)-A(41)+A(46)+A(50)+0.32*A(52)+0.86*A(54)+0.93*A(56)+A(81)+0.5*A(97)+0.15*A(101)+0.75*A(110)+0.16&
                &*A(112)+0.38*A(113)+0.5*A(115)+0.5*A(124)+A(125)+2*A(127)+A(128)+0.5*A(136)+A(154)+0.1*A(158)+0.64*A(170)&
                &+0.32*A(207)+A(209)+0.75*A(215)+A(218)+A(231)+A(232)-A(260)+A(329)+A(330)+A(331)+A(332)+A(333)-A(432)&
                &-A(433)+A(451)+A(455)+A(456)+0.32*A(465)
  Vdot(162) = 0.476*A(57)+0.035*A(64)+0.035*A(65)+0.035*A(80)+0.038*A(102)+0.28*A(116)+0.45*A(117)+0.018*A(123)-A(149)&
                &+0.2*A(157)-A(158)+0.453*A(210)+0.035*A(217)+A(313)+A(314)+A(315)+A(316)+A(317)-A(444)-A(445)-A(446)+0.425&
                &*A(457)+0.425*A(458)+0.425*A(459)
  Vdot(163) = 0.19*A(52)+0.187*A(103)-A(109)-A(111)+0.35*A(112)+0.25*A(115)+0.25*A(118)+0.25*A(119)+A(167)+0.791*A(189)&
                &+A(195)+0.19*A(207)+A(219)+A(221)+A(222)+A(223)+A(224)+A(225)+0.5*A(291)+A(299)+0.44*A(353)+0.75*A(355)&
                &+A(356)+A(357)+0.53*A(358)+0.289*A(363)+0.41*A(368)+0.464*A(370)+0.348*A(374)+0.464*A(376)+0.464*A(378)&
                &+0.149*A(380)+0.285*A(381)-A(438)+0.19*A(465)+A(488)
  Vdot(164) = A(49)+0.14*A(52)+0.57*A(54)-A(85)-A(94)+0.75*A(96)+0.09*A(97)+0.033*A(103)+0.07*A(112)+0.54*A(113)+0.25&
                &*A(124)+A(126)+A(153)+A(155)+0.35*A(156)+0.64*A(171)+0.791*A(173)+0.13*A(207)+0.09*A(211)+0.57*A(215)&
                &+A(226)+A(227)+A(228)+A(229)+0.09*A(275)+A(296)+0.5*A(298)+0.43*A(353)+0.75*A(355)+A(356)+A(357)+0.65&
                &*A(358)+0.491*A(363)+0.08*A(368)+1.24*A(370)+0.93*A(374)+1.24*A(376)+1.24*A(378)+0.64*A(380)+1.21*A(381)&
                &-A(435)+A(449)+A(450)+A(452)+A(454)+A(461)+0.13*A(465)+A(482)+A(489)
  Vdot(165) = -A(248)-A(250)+A(251)+2*A(252)+A(254)-A(255)+A(256)+A(257)-A(258)-A(259)-A(260)-A(261)-A(262)-A(263)&
                &-A(264)+3*A(266)+2*A(267)+A(268)+2*A(470)+A(471)+A(472)+A(473)+A(475)+3*A(476)
  Vdot(166) = -A(2)+A(3)-2*A(6)-2*A(7)-A(8)-A(9)+A(10)-A(12)-A(13)-A(14)-A(19)-A(21)-A(23)-A(24)-A(25)-A(26)-A(27)-A(30)&
                &+A(31)-A(33)-A(36)-A(37)-A(40)-A(45)-A(47)-A(48)-A(51)+A(61)+0.5*A(62)-A(76)-A(83)-A(84)-A(85)-A(95)+0.15&
                &*A(100)+0.15*A(101)+0.063*A(102)+0.68*A(103)+0.15*A(105)-A(109)-A(125)-A(126)+0.44*A(132)+0.44*A(133)+0.44&
                &*A(134)-A(135)+0.36*A(136)-A(137)-A(138)-0.773*A(141)-A(144)-A(145)-A(148)-A(149)-A(150)-A(151)+0.243&
                &*A(157)+0.36*A(158)+0.239*A(159)-0.36*A(168)-0.209*A(169)-0.36*A(170)-0.36*A(171)-0.209*A(172)-0.209*A(173)&
                &-A(174)-0.209*A(175)-0.875*A(176)-0.74*A(177)-0.625*A(178)-0.15*A(179)-0.5*A(181)-A(183)-A(184)-A(185)&
                &+1.125*A(186)+0.125*A(187)-0.346*A(188)-0.209*A(189)-A(190)-A(192)-A(193)+A(194)+0.7*A(196)+2*A(197)+2&
                &*A(198)+A(199)-A(201)+0.89*A(203)+0.05*A(238)+0.37*A(239)-A(244)-A(245)-A(247)-A(251)-A(256)-A(257)-A(266)&
                &-A(267)-A(268)-A(274)+0.9*A(277)-A(278)-A(279)+0.5*A(281)+0.5*A(283)-0.388*A(284)-A(285)-A(286)+A(288)&
                &-A(291)+0.15*A(294)-A(295)+0.5*A(298)+A(299)-A(300)-A(301)-A(352)+0.85*A(358)-A(360)+0.85*A(361)-0.51&
                &*A(368)-A(382)-A(383)-A(387)-A(388)-0.365*A(389)+A(390)+A(391)+A(394)+2*A(418)+A(419)+2*A(421)+A(422)&
                &+A(425)+A(426)+A(427)+0.07*A(439)+A(449)+A(450)+A(451)+A(452)+A(453)+A(454)+A(455)+A(456)+0.985*A(457)&
                &+0.985*A(458)+0.985*A(459)+A(460)+A(461)+A(462)+A(463)+A(464)+A(466)+A(472)+A(481)+A(482)+2*A(485)+2*A(486)
  Vdot(167) = A(2)-A(3)+A(5)-A(8)+A(9)-A(10)-2*A(11)+A(12)+A(13)+A(15)-A(16)+2*A(18)+A(23)-A(28)+A(29)-A(31)+A(33)+A(36)&
                &+A(37)+A(39)+0.05*A(40)+A(46)+A(49)+A(50)+0.27*A(52)+0.82*A(57)+0.35*A(59)+0.85*A(60)+A(63)+0.8*A(64)+0.8&
                &*A(65)+A(67)+A(68)-A(70)-A(73)+0.5*A(74)+0.5*A(75)+0.934*A(77)-A(78)+1.2*A(79)+0.8*A(80)+A(96)+A(97)-A(98)&
                &-A(99)-A(100)-A(101)-0.937*A(102)-0.898*A(103)-A(104)-0.925*A(105)-A(106)-A(107)-A(108)+A(110)+0.64*A(112)&
                &+0.5*A(113)+0.3*A(114)+0.5*A(115)+1.1*A(116)+0.91*A(117)+A(118)+0.64*A(119)+1.7*A(120)+0.375*A(121)+A(122)&
                &+0.9*A(123)+0.5*A(124)+A(125)+A(126)+2*A(127)-A(129)-A(130)-A(131)-A(132)-A(133)-A(134)+0.28*A(136)+0.19&
                &*A(138)+0.773*A(141)+A(144)+A(146)+A(151)+A(153)+A(154)+0.237*A(157)+0.28*A(158)+0.141*A(159)+0.5*A(162)&
                &+A(163)+A(164)-0.175*A(186)+0.825*A(187)+0.7*A(196)-A(198)+0.445*A(203)+A(205)+0.27*A(207)+0.887*A(210)&
                &+A(211)+0.4*A(212)+0.85*A(213)+A(214)+0.5*A(216)+0.8*A(217)+A(231)+0.05*A(238)-A(240)+A(247)-A(249)-A(250)&
                &+A(257)+A(259)+A(275)-0.1*A(277)+0.61*A(280)-0.5*A(281)+0.69*A(282)-0.56*A(283)-A(288)+A(291)+A(292)-0.85&
                &*A(294)+A(296)-0.5*A(298)+A(299)-A(346)-A(348)-A(350)+0.82*A(353)-A(354)+A(355)+0.5*A(356)+A(357)+0.1&
                &*A(358)+0.1*A(361)+0.686*A(363)-A(364)+A(365)+0.5*A(366)+A(367)+A(369)-A(371)-A(372)+2*A(373)+0.5*A(374)&
                &+A(375)+A(377)+A(379)+0.5*A(380)+0.5*A(388)-A(392)-A(393)+A(419)+A(422)+2*A(423)+A(428)+A(432)+A(435)+1.73&
                &*A(439)+2*A(440)+A(443)+A(445)+A(447)+A(448)+A(449)+A(450)+A(451)+A(452)+A(453)+A(454)+A(455)+A(456)+0.985&
                &*A(457)+0.985*A(458)+0.985*A(459)+A(460)+A(461)+0.3*A(462)+A(463)+0.27*A(465)+A(467)+A(469)+A(477)+A(479)&
                &+A(482)+A(484)+0.89*A(486)+A(487)
  Vdot(168) = -A(1)-A(10)-A(15)-A(26)-A(32)+A(38)-A(44)-A(46)-A(49)-A(50)-A(52)-A(53)-A(54)-A(55)-A(56)-A(57)-A(59)&
                &-A(60)-A(62)-A(63)-A(64)-A(68)-A(72)-A(77)-A(81)-A(92)-A(93)-A(187)-A(199)-A(200)-A(254)-A(275)-A(276)&
                &-A(280)-A(282)-A(287)-A(292)-A(293)-A(296)-A(297)-A(302)-A(308)-A(314)-A(319)-A(324)-A(330)-A(336)-A(347)&
                &-A(349)-A(351)-A(353)-A(363)-A(369)-A(370)-A(390)-A(391)+A(420)+A(426)+A(430)
  Vdot(169) = -A(13)+A(23)+A(39)+0.05*A(40)+0.728*A(60)+A(61)+0.5*A(62)+A(67)+A(68)+0.5*A(93)+0.075*A(105)+0.29*A(117)&
                &+0.33*A(118)+0.595*A(120)+0.375*A(121)+0.39*A(134)+0.56*A(136)+A(137)+0.03*A(138)+0.505*A(141)+A(142)+2&
                &*A(144)+A(145)+2*A(146)+A(147)+0.5*A(152)+0.495*A(157)+0.56*A(158)+0.625*A(159)+0.5*A(162)+0.6*A(186)+0.678&
                &*A(187)+0.89*A(203)+0.09*A(211)+0.857*A(213)+0.5*A(216)+0.21*A(238)+A(259)+0.09*A(275)+1.5*A(291)-A(307)&
                &-A(313)-A(318)-A(323)-A(329)-A(335)+0.14*A(358)+0.14*A(361)+0.5*A(388)+0.55*A(389)+A(394)+A(423)+A(424)&
                &+0.88*A(432)+A(433)+A(435)+A(437)+A(439)+2*A(440)+2*A(441)+A(442)+A(443)+A(444)+A(445)+A(447)+0.67*A(460)&
                &+0.5*A(463)+0.5*A(467)+A(480)+A(484)+1.89*A(486)
  Vdot(170) = -A(1)-A(2)-A(3)-A(4)-A(5)+A(6)+0.25*A(70)-A(75)+0.15*A(132)+0.15*A(133)+0.15*A(134)-A(136)-A(139)-A(157)&
                &-A(158)-A(159)-A(203)-A(238)-A(239)-A(248)-A(299)-A(358)-A(361)-A(384)-A(418)-A(419)+A(420)+A(429)+A(471)
  Vdot(171) = A(4)+A(25)-A(31)-A(32)-A(33)-A(34)+A(35)-A(38)-A(39)-A(41)-A(65)-A(66)-A(67)-A(71)-A(82)-A(94)-A(111)+0.81&
                &*A(138)+A(139)-A(143)-A(146)-A(147)-A(160)-A(161)-A(162)-A(202)-2*A(235)-A(242)-A(246)+A(255)-A(258)+A(285)&
                &+0.15*A(287)+0.15*A(288)+A(303)+A(309)+A(315)+A(320)+A(325)+A(331)+A(337)-A(344)-A(357)-A(359)-A(362)&
                &-A(367)-A(377)-A(378)-A(385)-A(386)+A(387)+A(427)-A(429)-A(430)+A(431)+0.3*A(434)+A(473)+A(477)+0.4*A(483)
  Vdot(172) = 0.344*A(57)+0.035*A(64)+0.035*A(65)+0.035*A(80)+0.025*A(102)+0.18*A(116)+0.29*A(117)+0.018*A(123)-A(150)&
                &+0.3*A(157)-A(159)-A(161)-A(162)+0.294*A(210)+0.035*A(217)+A(307)+A(308)+A(309)+A(310)+A(312)+0.79*A(361)&
                &+0.308*A(365)+0.308*A(366)+0.615*A(367)-A(447)+0.285*A(457)+0.285*A(458)+0.285*A(459)
  Vdot(173) = A(1)-A(4)+A(10)+A(15)-A(24)+A(27)-A(28)+A(29)+A(30)+A(31)+2*A(32)+A(33)-A(34)+A(35)-A(42)+A(43)+A(44)&
                &+A(46)+A(49)+A(50)+A(52)+2*A(54)+A(55)+0.93*A(56)+0.91*A(57)+0.88*A(59)+0.85*A(60)+1.5*A(62)+A(63)+1.3&
                &*A(64)+1.3*A(65)+A(67)+A(68)-A(69)+0.96*A(70)+2*A(71)+1.88*A(72)+0.7*A(74)+0.7*A(75)+0.3*A(80)+2*A(81)&
                &-A(86)+A(87)-A(88)-A(89)+A(90)+A(91)+A(92)+A(93)+0.925*A(105)+A(113)+0.375*A(121)+0.15*A(123)+A(124)+A(137)&
                &+A(167)+A(187)+A(199)+A(215)+0.5*A(216)+0.3*A(217)+A(218)+A(226)+A(227)+A(228)+A(229)+2*A(235)-A(236)&
                &+A(237)+0.06*A(239)-A(241)+A(254)+A(258)-A(264)-A(265)+A(275)+0.1*A(278)+0.1*A(279)+0.79*A(280)+0.88*A(282)&
                &+0.06*A(283)+1.85*A(287)+0.85*A(288)-A(289)+A(290)+A(292)+A(296)+A(300)+A(301)+A(302)-A(303)+A(308)-A(309)&
                &+A(314)-A(315)+A(319)-A(320)+A(324)-A(325)+A(330)-A(331)+A(336)-A(337)+0.82*A(353)+A(357)+0.78*A(363)&
                &+A(367)+A(369)+2*A(370)+0.5*A(374)+A(376)+A(377)+2*A(378)+0.5*A(380)+A(381)+A(390)+A(391)-A(420)+A(425)&
                &+A(428)+A(429)+A(431)+0.7*A(434)+A(449)+A(450)+A(461)+A(465)+A(467)+A(468)+A(469)+A(474)+A(475)+A(478)&
                &+A(479)+A(480)+0.6*A(483)+A(484)+A(487)+A(488)+A(489)+A(490)
  Vdot(174) = -A(5)+A(14)-A(15)-A(16)-2*A(17)-2*A(18)+A(19)+A(44)+0.19*A(52)-A(74)-A(79)+A(84)+0.5*A(93)-A(96)-A(97)&
                &-A(110)-0.91*A(112)-A(113)-A(114)-A(115)-A(116)-A(118)-A(119)-A(120)-A(121)-A(122)-A(123)-A(124)+0.44&
                &*A(132)+0.39*A(134)+0.28*A(136)+0.5*A(152)+A(153)+A(154)+0.051*A(157)-A(163)-A(164)-A(165)-A(166)+A(194)&
                &-A(196)+2*A(204)-A(206)+A(207)+A(208)+A(209)+A(210)+A(211)+A(212)+A(213)+A(214)+A(215)+A(216)+A(217)+A(218)&
                &+A(231)+A(233)+A(234)-A(236)+A(237)+A(244)+A(245)+A(246)+A(327)-A(355)+0.5*A(356)-A(365)+0.5*A(366)-A(373)&
                &-A(374)+A(375)+0.5*A(376)+0.88*A(432)+0.3*A(434)+A(436)+2*A(437)+0.15*A(438)+A(446)+0.18*A(465)+A(466)&
                &+A(478)+A(480)
  Vdot(175) = 0.95*A(40)+A(41)-A(42)+A(43)-A(44)+A(55)+0.93*A(56)+0.53*A(59)+0.5*A(93)+0.15*A(100)+0.15*A(101)+0.578&
                &*A(103)+0.3*A(114)+0.5*A(115)+0.36*A(119)-A(132)+A(139)+A(145)+A(147)-A(153)-A(154)-A(155)-A(156)+0.105&
                &*A(157)+0.28*A(158)+0.098*A(159)+A(164)-A(194)-A(195)+A(201)+0.445*A(203)-2*A(204)-A(205)-A(206)-A(207)&
                &-A(210)-A(211)-0.4*A(212)-A(213)-A(214)-A(215)-A(216)-A(217)-A(218)-A(219)-A(220)-A(221)-A(222)-A(223)&
                &-A(224)-A(225)-A(226)-A(227)-A(228)-A(229)-A(230)-A(231)-A(232)-A(233)+0.1*A(239)+A(260)+A(327)-A(356)&
                &-A(366)-A(375)-A(376)+0.5*A(388)+0.085*A(389)+0.12*A(432)+0.7*A(434)+A(436)+0.85*A(438)+A(443)+A(445)&
                &+A(447)+A(448)+0.7*A(462)+A(464)+A(468)+A(481)+0.4*A(483)+0.11*A(486)
  Vdot(176) = A(244)+0.75*A(245)+A(246)-A(247)-A(304)-A(310)-A(316)-A(321)-A(326)-A(332)-A(338)
      
END SUBROUTINE Fun

! End of Fun function
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



END MODULE gckpp_Function

