#include atoms

#DEFVAR

     A3O2            =          IGNORE; {Primary RO2 from C3H8}
     ACET            =          IGNORE; {Acetone}
     ACTA            =          IGNORE; {Acetic acid}
     ALD2            =          IGNORE; {Acetaldehyde}
     ALK4            =          IGNORE; {>= C4 alkanes}
     ATO2            =          IGNORE; {RO2 from acetone}
     B3O2            =          IGNORE; {Secondary RO2 from C3H8}
     BENZ            =          IGNORE; {Benzene}
     C2H6            =          IGNORE; {Ethane}
     C3H8            =          IGNORE; {Propane}
     CH2O            =          IGNORE; {Formaldehyde}
     CO              =          IGNORE; {Carbon monoxide}
     ETO2            =          IGNORE; {Ethylperoxy radical}
     ETP             =          IGNORE; {Ethylhydroperoxide}
     GLYC            =          IGNORE; {Glycoaldehyde}
     GLYX            =          IGNORE; {Glyoxal}
     H2O2            =          IGNORE; {Hydrogen peroxide}
     HAC             =          IGNORE; {Hydroxyacetone}
     HCOOH           =          IGNORE; {Formic acid}
     HNO2            =          IGNORE; {Nitrous acid}
     HNO3            =          IGNORE; {Nitric acid}
     HNO4            =          IGNORE; {Pernitric acid}
     HO2             =          IGNORE; {Hydroperoxyl radical}
     IAP             =          IGNORE; {Peroxide from IAO2}
     INO2            =          IGNORE; {RP2 from IEPOX}
     INPN            =          IGNORE; {Peroxide from INO2}
     ISN1            =          IGNORE; {Nighttime isoprene nitrate}
     ISNOOA          =          IGNORE; {Peroxy radical from ISN1}
     ISNOOB          =          IGNORE; {Peroxy radical from ISN1}
     ISNOHOO         =          IGNORE; {Peroxy radical from ISN1}
     ISNP            =          IGNORE; {Peroxide from ISOPNBO2 and ISOPNDO2}
     ISOP            =          IGNORE; {Isoprene}
     KO2             =          IGNORE; {RO2 from >3 ketones}
     MACR            =          IGNORE; {Methacrolein}
     MAN2            =          IGNORE; {RO2 from MACR+NO3}
     MAO3            =          IGNORE; {Peroxyacyl from MVK and MACR}
     MAOP            =          IGNORE; {Peroxide from MAO3}
     MAOPO2          =          IGNORE; {Peroxy radical from MAOP}
     MAP             =          IGNORE; {Peroxyacetic acid}
     MCO3            =          IGNORE; {Peroxyacetyl radical}
     MEK             =          IGNORE; {Methyl ethyl ketone}
     MGLY            =          IGNORE; {Methylglyoxal}
     MO2             =          IGNORE; {Methylperoxy radical}
     MONX            =          IGNORE; {Total monoterpenes}
     MP              =          IGNORE; {Methylhydroperoxide}
     MRO2            =          IGNORE; {RO2 from MACR+OH}
     MRP             =          IGNORE; {Peroxide from MRO2}
     MVK             =          IGNORE; {Methyl vinyl ketone}
     N2O5            =          IGNORE; {Dinitrogen pentoxide}
     NAP             =          IGNORE; {Naphthalene; IVOC surrogate}
     NO              =          IGNORE; {Nitric oxide}
     NO2             =          IGNORE; {Nitrogen dioxide}
     NO3             =          IGNORE; {Nitrate radical}
     O1D             =          IGNORE; {Oxygen atom in an excited singlet state}
     O3              =          IGNORE; {Ozone}
     OH              =          IGNORE; {Hydroxyl radical}
     PAN             =          IGNORE; {Peroxyacetylnitrate}
     PMN             =          IGNORE; {Peroxymethacryloyl nitrate}
     PO2             =          IGNORE; {RO2 from isoprene}
     PP              =          IGNORE; {Peroxide from PO2}
     PPN             =          IGNORE; {Peroxypropionylnitrate}
     PRN1            =          IGNORE; {RO2 from propene + NO3}
     PRPE            =          IGNORE; {>= C3 alkenes}
     PRPN            =          IGNORE; {Peroxide from PRN1}
     R4N1            =          IGNORE; {RO2 from R4N2}
     R4N2            =          IGNORE; {>= C4 alkylnitrates}
     R4O2            =          IGNORE; {RO2 from ALK4}
     R4P             =          IGNORE; {Peroxide from R4O2}
     RA3P            =          IGNORE; {Peroxide from A3O2}
     RB3P            =          IGNORE; {Peroxide from B3O2}
     RCHO            =          IGNORE; {>= C3 aldehydes}
     RCO3            =          IGNORE; {Peroxypropionyl radical}
     RIO2            =          IGNORE; {RO2 from isoprene, aka ISOPO2}
     RIP             =          IGNORE; {Peroxide from RIO2, aka ISOPOOH}
     ROH             =          IGNORE; {> C2 alcohols}
     RP              =          IGNORE; {Peroxide from RCO3}
     TOLU            =          IGNORE; {Toluene}
     VRO2            =          IGNORE; {RO2 from MVK+OH}
     VRP             =          IGNORE; {Peroxide from VRO2}
     XYLE            =          IGNORE; {Xylene}
     DMS             =          IGNORE; {Dimethylsulfide}
     SO2             =          IGNORE; {Sulfur dioxide}
     SO4             =          IGNORE; {Sulfate}
     MSA             =          IGNORE; {Methanesulfonic acid}
     LISOPOH         =          IGNORE; {Track loss of ISOP from rxn with OH}
     LISOPNO3        =          IGNORE; {Track loss of ISOP from rxn with NO3}
     BRO2            =          IGNORE; {Peroxy radical from NENZ oxidation}
     TRO2            =          IGNORE; {Peroxy radical from TOLU oxidation}
     XRO2            =          IGNORE; {Peroxy radical from XYLE oxidation}
     NRO2            =          IGNORE; {Peroxy radical from NAP oxidation}
     LBRO2H          =          IGNORE; {Track oxidation of BRO2 by HO2}
     LBRO2N          =          IGNORE; {Track oxidation of BRO2 by NO}
     LTRO2H          =          IGNORE; {Track oxidation of TRO2 by HO2}
     LTRO2N          =          IGNORE; {Track oxidation of TRO2 by NO}
     LXRO2H          =          IGNORE; {Track oxidation of XRO2 by HO2}
     LXRO2N          =          IGNORE; {Track oxidation of XRO2 by NO}
     LNRO2H          =          IGNORE; {Track oxidation of NRO2 by HO2}
     LNRO2N          =          IGNORE; {Track oxidation of NRO2 by NO}
     Br2             =          IGNORE; {Molecular bromine}
     Br              =          IGNORE; {Atomic bromine}
     BrO             =          IGNORE; {Bromine monoxide}
     HOBr            =          IGNORE; {Hypobromous acid}
     HBr             =          IGNORE; {Hypobromic acid}
     BrNO2           =          IGNORE; {Nitryl bromide}
     BrNO3           =          IGNORE; {Bromine nitrate}
     CHBr3           =          IGNORE; {Bromoform}
     CH2Br2          =          IGNORE; {Dibromomethane}
     CH3Br           =          IGNORE; {Methyl bromide}
     MPN             =          IGNORE; {Methyl peroxy nitrate}
     ISOPND          =          IGNORE; {Isoprene nitrate Delta}
     ISOPNB          =          IGNORE; {Isoprene nitrate Beta}
     HC5             =          IGNORE; {Hydroxycarbonyl with 5C}
     DIBOO           =          IGNORE; {Dibble peroxy radical}
     HC5OO           =          IGNORE; {Peroxy radical from HC5}
     DHMOB           =          IGNORE; {See Paulot et al., ACP, 2009}
     MOBA            =          IGNORE; {5C acid from isoprene}
     MOBAOO          =          IGNORE; {RO2 from MOBA}
     ISOPNBO2        =          IGNORE; {Product of ISOPNB+OH}
     ISOPNDO2        =          IGNORE; {Product of ISOPND+OH}
     PROPNN          =          IGNORE; {Propanone nitrate}
     ETHLN           =          IGNORE; {Ethanal nitrate}
     MACRN           =          IGNORE; {Nitrate from MACR}
     MVKN            =          IGNORE; {Nitrate from MVK}
     PYAC            =          IGNORE; {Pyruvic acid}
     IEPOX           =          IGNORE; {Isoprene epoxide}
     IEPOXOO         =          IGNORE; {RO2 from IEPOX}
     ATOOH           =          IGNORE; {ATO2 peroxide}
     PMNN            =          IGNORE; {Product of PMNO2+NO}
     MACRNO2         =          IGNORE; {Product of MACRN+OH}
     PMNO2           =          IGNORE; {Product of PMN+OH}
     CH2OO           =          IGNORE; {Criegee intermediate}
     MACROO          =          IGNORE; {Criegee intermediate}
     MVKOO           =          IGNORE; {Criegee intermediate}
     GAOO            =          IGNORE; {Criegee intermediate}
     MGLYOO          =          IGNORE; {Criegee intermediate}
     MGLOO           =          IGNORE; {Criegee intermediate}
     CH3CHOO         =          IGNORE; {Criegee intermediate}
     C2H4            =          IGNORE; {Ethylene}
     CO2             =          IGNORE; {Carbon dioxide}
     MBO             =          IGNORE; {Criegee intermediate}
     MBOOO           =          IGNORE; {Criegee intermediate}
     EOH             =          IGNORE; {Ethanol}
     MTPA            =          IGNORE; {a-pinene, b-pinene, sabinene, carene}
     PIO2            =          IGNORE; {RO2 from MTPA}
     PIP             =          IGNORE; {Peroxides from MTPA}
     OLND            =          IGNORE; {Monoterpene-derived NO3-aklene adduct}
     OLNN            =          IGNORE; {Monoterpene-derived NO3 adduct}
     ONIT            =          IGNORE; {Organic nitrate}

#DEFFIX

     CH4             =          IGNORE; {Methane}
     H               =          IGNORE; {Atomic hydrogen}
     H2              =          IGNORE; {Molecular hydrogen}
     H2O             =          IGNORE; {Water vapor}
     MNO3            =          IGNORE; {Methylnitrate}
     MOH             =          IGNORE; {Methanol}
     N2              =          IGNORE; {Molecular nitrogen}
     NH2             =          IGNORE; {Ammonia radical}
     NH3             =          IGNORE; {Ammonia}
     O               =          IGNORE; {Atomic oxygen}
     O2              =          IGNORE; {Molecular oxygen}
     RCOOH           =          IGNORE; {> C2 organic acids}
