! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Parameter Module File
! 
! Generated by KPP-2.2.4_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : gckpp_Parameters.f90
! Time                 : Wed Aug 23 13:22:34 2017
! Working directory    : /n/home05/msulprizio/GC/FlexChem/Mechanisms/v11-02c/Standard
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Parameters

  USE gckpp_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 211 
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 206 
! NFLUX - Number of Reaction Flux species
  INTEGER, PARAMETER :: NFLUX = 1 
! NFAM - Number of Prod/Loss Families
  INTEGER, PARAMETER :: NFAM = 5 
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 183 
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 5 
! NREACT - Number of reactions
  INTEGER, PARAMETER :: NREACT = 622 
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 207 
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 2467 
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 3043 
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 207 
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 0 
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_MONX = 1 
  INTEGER, PARAMETER :: ind_CO2 = 2 
  INTEGER, PARAMETER :: ind_INDIOL = 3 
  INTEGER, PARAMETER :: ind_ISN1OA = 4 
  INTEGER, PARAMETER :: ind_ISN1OG = 5 
  INTEGER, PARAMETER :: ind_LBRO2H = 6 
  INTEGER, PARAMETER :: ind_LBRO2N = 7 
  INTEGER, PARAMETER :: ind_LISOPOH = 8 
  INTEGER, PARAMETER :: ind_LISOPNO3 = 9 
  INTEGER, PARAMETER :: ind_LTRO2H = 10 
  INTEGER, PARAMETER :: ind_LTRO2N = 11 
  INTEGER, PARAMETER :: ind_LVOCOA = 12 
  INTEGER, PARAMETER :: ind_LVOC = 13 
  INTEGER, PARAMETER :: ind_LXRO2H = 14 
  INTEGER, PARAMETER :: ind_LXRO2N = 15 
  INTEGER, PARAMETER :: ind_MSA = 16 
  INTEGER, PARAMETER :: ind_PYAC = 17 
  INTEGER, PARAMETER :: ind_SOAGX = 18 
  INTEGER, PARAMETER :: ind_SOAIE = 19 
  INTEGER, PARAMETER :: ind_SOAME = 20 
  INTEGER, PARAMETER :: ind_IMAE = 21 
  INTEGER, PARAMETER :: ind_SOAMG = 22 
  INTEGER, PARAMETER :: ind_POx = 23 
  INTEGER, PARAMETER :: ind_LOx = 24 
  INTEGER, PARAMETER :: ind_PCO = 25 
  INTEGER, PARAMETER :: ind_LCO = 26 
  INTEGER, PARAMETER :: ind_PSO4 = 27 
  INTEGER, PARAMETER :: ind_CH3CCl3 = 28 
  INTEGER, PARAMETER :: ind_DHDN = 29 
  INTEGER, PARAMETER :: ind_DHDC = 30 
  INTEGER, PARAMETER :: ind_MONITA = 31 
  INTEGER, PARAMETER :: ind_BENZ = 32 
  INTEGER, PARAMETER :: ind_H1301 = 33 
  INTEGER, PARAMETER :: ind_H2402 = 34 
  INTEGER, PARAMETER :: ind_CFC12 = 35 
  INTEGER, PARAMETER :: ind_PMNN = 36 
  INTEGER, PARAMETER :: ind_PPN = 37 
  INTEGER, PARAMETER :: ind_TOLU = 38 
  INTEGER, PARAMETER :: ind_BrNO2 = 39 
  INTEGER, PARAMETER :: ind_CCl4 = 40 
  INTEGER, PARAMETER :: ind_CFC11 = 41 
  INTEGER, PARAMETER :: ind_CFC113 = 42 
  INTEGER, PARAMETER :: ind_CFC114 = 43 
  INTEGER, PARAMETER :: ind_CFC115 = 44 
  INTEGER, PARAMETER :: ind_H1211 = 45 
  INTEGER, PARAMETER :: ind_IEPOXD = 46 
  INTEGER, PARAMETER :: ind_N2O = 47 
  INTEGER, PARAMETER :: ind_TRO2 = 48 
  INTEGER, PARAMETER :: ind_BRO2 = 49 
  INTEGER, PARAMETER :: ind_IEPOXA = 50 
  INTEGER, PARAMETER :: ind_IEPOXB = 51 
  INTEGER, PARAMETER :: ind_IONITA = 52 
  INTEGER, PARAMETER :: ind_ALK4 = 53 
  INTEGER, PARAMETER :: ind_N = 54 
  INTEGER, PARAMETER :: ind_OCS = 55 
  INTEGER, PARAMETER :: ind_XRO2 = 56 
  INTEGER, PARAMETER :: ind_MAP = 57 
  INTEGER, PARAMETER :: ind_IMAO3 = 58 
  INTEGER, PARAMETER :: ind_CHBr3 = 59 
  INTEGER, PARAMETER :: ind_MPN = 60 
  INTEGER, PARAMETER :: ind_Cl2O2 = 61 
  INTEGER, PARAMETER :: ind_C3H8 = 62 
  INTEGER, PARAMETER :: ind_CH2Br2 = 63 
  INTEGER, PARAMETER :: ind_HCFC123 = 64 
  INTEGER, PARAMETER :: ind_HCFC141b = 65 
  INTEGER, PARAMETER :: ind_HCFC142b = 66 
  INTEGER, PARAMETER :: ind_HCFC22 = 67 
  INTEGER, PARAMETER :: ind_HNO2 = 68 
  INTEGER, PARAMETER :: ind_ETP = 69 
  INTEGER, PARAMETER :: ind_DMS = 70 
  INTEGER, PARAMETER :: ind_OClO = 71 
  INTEGER, PARAMETER :: ind_ClNO2 = 72 
  INTEGER, PARAMETER :: ind_RA3P = 73 
  INTEGER, PARAMETER :: ind_RB3P = 74 
  INTEGER, PARAMETER :: ind_XYLE = 75 
  INTEGER, PARAMETER :: ind_CH3Cl = 76 
  INTEGER, PARAMETER :: ind_CH3Br = 77 
  INTEGER, PARAMETER :: ind_MP = 78 
  INTEGER, PARAMETER :: ind_HNO4 = 79 
  INTEGER, PARAMETER :: ind_EOH = 80 
  INTEGER, PARAMETER :: ind_ClOO = 81 
  INTEGER, PARAMETER :: ind_PAN = 82 
  INTEGER, PARAMETER :: ind_RP = 83 
  INTEGER, PARAMETER :: ind_BrCl = 84 
  INTEGER, PARAMETER :: ind_PP = 85 
  INTEGER, PARAMETER :: ind_PRPN = 86 
  INTEGER, PARAMETER :: ind_SO4 = 87 
  INTEGER, PARAMETER :: ind_Br2 = 88 
  INTEGER, PARAMETER :: ind_PIP = 89 
  INTEGER, PARAMETER :: ind_R4P = 90 
  INTEGER, PARAMETER :: ind_HPALD = 91 
  INTEGER, PARAMETER :: ind_N2O5 = 92 
  INTEGER, PARAMETER :: ind_DHPCARP = 93 
  INTEGER, PARAMETER :: ind_C2H6 = 94 
  INTEGER, PARAMETER :: ind_HPC52O2 = 95 
  INTEGER, PARAMETER :: ind_VRP = 96 
  INTEGER, PARAMETER :: ind_ATOOH = 97 
  INTEGER, PARAMETER :: ind_IAP = 98 
  INTEGER, PARAMETER :: ind_HC187 = 99 
  INTEGER, PARAMETER :: ind_MOBA = 100 
  INTEGER, PARAMETER :: ind_HONIT = 101 
  INTEGER, PARAMETER :: ind_DHMOB = 102 
  INTEGER, PARAMETER :: ind_RIPB = 103 
  INTEGER, PARAMETER :: ind_ISNP = 104 
  INTEGER, PARAMETER :: ind_MAOP = 105 
  INTEGER, PARAMETER :: ind_MRP = 106 
  INTEGER, PARAMETER :: ind_RIPA = 107 
  INTEGER, PARAMETER :: ind_RIPD = 108 
  INTEGER, PARAMETER :: ind_ETHLN = 109 
  INTEGER, PARAMETER :: ind_INPN = 110 
  INTEGER, PARAMETER :: ind_MTPA = 111 
  INTEGER, PARAMETER :: ind_NPMN = 112 
  INTEGER, PARAMETER :: ind_MOBAOO = 113 
  INTEGER, PARAMETER :: ind_DIBOO = 114 
  INTEGER, PARAMETER :: ind_HCOOH = 115 
  INTEGER, PARAMETER :: ind_IPMN = 116 
  INTEGER, PARAMETER :: ind_LIMO = 117 
  INTEGER, PARAMETER :: ind_H = 118 
  INTEGER, PARAMETER :: ind_MACRNO2 = 119 
  INTEGER, PARAMETER :: ind_BrNO3 = 120 
  INTEGER, PARAMETER :: ind_ROH = 121 
  INTEGER, PARAMETER :: ind_ISOP = 122 
  INTEGER, PARAMETER :: ind_MONITS = 123 
  INTEGER, PARAMETER :: ind_Cl2 = 124 
  INTEGER, PARAMETER :: ind_ISOPNB = 125 
  INTEGER, PARAMETER :: ind_ISNOHOO = 126 
  INTEGER, PARAMETER :: ind_CH4 = 127 
  INTEGER, PARAMETER :: ind_HOBr = 128 
  INTEGER, PARAMETER :: ind_ISNOOB = 129 
  INTEGER, PARAMETER :: ind_PO2 = 130 
  INTEGER, PARAMETER :: ind_GAOO = 131 
  INTEGER, PARAMETER :: ind_CH3CHOO = 132 
  INTEGER, PARAMETER :: ind_MVKOO = 133 
  INTEGER, PARAMETER :: ind_IEPOXOO = 134 
  INTEGER, PARAMETER :: ind_GLYX = 135 
  INTEGER, PARAMETER :: ind_A3O2 = 136 
  INTEGER, PARAMETER :: ind_MGLYOO = 137 
  INTEGER, PARAMETER :: ind_PRN1 = 138 
  INTEGER, PARAMETER :: ind_MGLOO = 139 
  INTEGER, PARAMETER :: ind_MONITU = 140 
  INTEGER, PARAMETER :: ind_ISOPNBO2 = 141 
  INTEGER, PARAMETER :: ind_MVKN = 142 
  INTEGER, PARAMETER :: ind_ACET = 143 
  INTEGER, PARAMETER :: ind_PROPNN = 144 
  INTEGER, PARAMETER :: ind_MAN2 = 145 
  INTEGER, PARAMETER :: ind_MACRN = 146 
  INTEGER, PARAMETER :: ind_ISNOOA = 147 
  INTEGER, PARAMETER :: ind_ACTA = 148 
  INTEGER, PARAMETER :: ind_CH2OO = 149 
  INTEGER, PARAMETER :: ind_H2O2 = 150 
  INTEGER, PARAMETER :: ind_MAOPO2 = 151 
  INTEGER, PARAMETER :: ind_ISOPNDO2 = 152 
  INTEGER, PARAMETER :: ind_ClNO3 = 153 
  INTEGER, PARAMETER :: ind_B3O2 = 154 
  INTEGER, PARAMETER :: ind_ATO2 = 155 
  INTEGER, PARAMETER :: ind_R4N1 = 156 
  INTEGER, PARAMETER :: ind_RCO3 = 157 
  INTEGER, PARAMETER :: ind_OLNN = 158 
  INTEGER, PARAMETER :: ind_OLND = 159 
  INTEGER, PARAMETER :: ind_LIMO2 = 160 
  INTEGER, PARAMETER :: ind_KO2 = 161 
  INTEGER, PARAMETER :: ind_VRO2 = 162 
  INTEGER, PARAMETER :: ind_HOCl = 163 
  INTEGER, PARAMETER :: ind_GLYC = 164 
  INTEGER, PARAMETER :: ind_ISOPND = 165 
  INTEGER, PARAMETER :: ind_HC5OO = 166 
  INTEGER, PARAMETER :: ind_MACROO = 167 
  INTEGER, PARAMETER :: ind_HNO3 = 168 
  INTEGER, PARAMETER :: ind_NMAO3 = 169 
  INTEGER, PARAMETER :: ind_PIO2 = 170 
  INTEGER, PARAMETER :: ind_ISN1 = 171 
  INTEGER, PARAMETER :: ind_ETO2 = 172 
  INTEGER, PARAMETER :: ind_INO2 = 173 
  INTEGER, PARAMETER :: ind_RIO2 = 174 
  INTEGER, PARAMETER :: ind_HC5 = 175 
  INTEGER, PARAMETER :: ind_R4O2 = 176 
  INTEGER, PARAMETER :: ind_MGLY = 177 
  INTEGER, PARAMETER :: ind_R4N2 = 178 
  INTEGER, PARAMETER :: ind_HAC = 179 
  INTEGER, PARAMETER :: ind_MRO2 = 180 
  INTEGER, PARAMETER :: ind_PRPE = 181 
  INTEGER, PARAMETER :: ind_BrO = 182 
  INTEGER, PARAMETER :: ind_RCHO = 183 
  INTEGER, PARAMETER :: ind_MEK = 184 
  INTEGER, PARAMETER :: ind_ClO = 185 
  INTEGER, PARAMETER :: ind_MACR = 186 
  INTEGER, PARAMETER :: ind_ALD2 = 187 
  INTEGER, PARAMETER :: ind_MVK = 188 
  INTEGER, PARAMETER :: ind_SO2 = 189 
  INTEGER, PARAMETER :: ind_MCO3 = 190 
  INTEGER, PARAMETER :: ind_CO = 191 
  INTEGER, PARAMETER :: ind_O3 = 192 
  INTEGER, PARAMETER :: ind_H2O = 193 
  INTEGER, PARAMETER :: ind_HO2 = 194 
  INTEGER, PARAMETER :: ind_OH = 195 
  INTEGER, PARAMETER :: ind_NO3 = 196 
  INTEGER, PARAMETER :: ind_Cl = 197 
  INTEGER, PARAMETER :: ind_HBr = 198 
  INTEGER, PARAMETER :: ind_MO2 = 199 
  INTEGER, PARAMETER :: ind_Br = 200 
  INTEGER, PARAMETER :: ind_NO = 201 
  INTEGER, PARAMETER :: ind_O = 202 
  INTEGER, PARAMETER :: ind_O1D = 203 
  INTEGER, PARAMETER :: ind_NO2 = 204 
  INTEGER, PARAMETER :: ind_CH2O = 205 
  INTEGER, PARAMETER :: ind_HCl = 206 

! Index declaration for fixed species in C
!   C(ind_spc)

  INTEGER, PARAMETER :: ind_H2 = 207 
  INTEGER, PARAMETER :: ind_MOH = 208 
  INTEGER, PARAMETER :: ind_N2 = 209 
  INTEGER, PARAMETER :: ind_O2 = 210 
  INTEGER, PARAMETER :: ind_RCOOH = 211 

! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)

  INTEGER, PARAMETER :: indf_H2 = 1 
  INTEGER, PARAMETER :: indf_MOH = 2 
  INTEGER, PARAMETER :: indf_N2 = 3 
  INTEGER, PARAMETER :: indf_O2 = 4 
  INTEGER, PARAMETER :: indf_RCOOH = 5 

END MODULE gckpp_Parameters

