! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Parameter Module File
! 
! Generated by KPP-2.2.4_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : gckpp_Parameters.f90
! Time                 : Wed Aug 23 13:23:03 2017
! Working directory    : /n/home05/msulprizio/GC/FlexChem/Mechanisms/v11-02c/Tropchem
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Parameters

  USE gckpp_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 178 
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 172 
! NFLUX - Number of Reaction Flux species
  INTEGER, PARAMETER :: NFLUX = 1 
! NFAM - Number of Prod/Loss Families
  INTEGER, PARAMETER :: NFAM = 5 
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 148 
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 6 
! NREACT - Number of reactions
  INTEGER, PARAMETER :: NREACT = 487 
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 173 
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 2016 
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 2381 
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 173 
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 0 
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_MONX = 1 
  INTEGER, PARAMETER :: ind_CO2 = 2 
  INTEGER, PARAMETER :: ind_INDIOL = 3 
  INTEGER, PARAMETER :: ind_ISN1OA = 4 
  INTEGER, PARAMETER :: ind_ISN1OG = 5 
  INTEGER, PARAMETER :: ind_LBRO2H = 6 
  INTEGER, PARAMETER :: ind_LBRO2N = 7 
  INTEGER, PARAMETER :: ind_LISOPOH = 8 
  INTEGER, PARAMETER :: ind_LISOPNO3 = 9 
  INTEGER, PARAMETER :: ind_LTRO2H = 10 
  INTEGER, PARAMETER :: ind_LTRO2N = 11 
  INTEGER, PARAMETER :: ind_LVOCOA = 12 
  INTEGER, PARAMETER :: ind_LVOC = 13 
  INTEGER, PARAMETER :: ind_LXRO2H = 14 
  INTEGER, PARAMETER :: ind_LXRO2N = 15 
  INTEGER, PARAMETER :: ind_MSA = 16 
  INTEGER, PARAMETER :: ind_PYAC = 17 
  INTEGER, PARAMETER :: ind_SO4 = 18 
  INTEGER, PARAMETER :: ind_SOAGX = 19 
  INTEGER, PARAMETER :: ind_SOAIE = 20 
  INTEGER, PARAMETER :: ind_SOAME = 21 
  INTEGER, PARAMETER :: ind_IMAE = 22 
  INTEGER, PARAMETER :: ind_SOAMG = 23 
  INTEGER, PARAMETER :: ind_POx = 24 
  INTEGER, PARAMETER :: ind_LOx = 25 
  INTEGER, PARAMETER :: ind_PCO = 26 
  INTEGER, PARAMETER :: ind_LCO = 27 
  INTEGER, PARAMETER :: ind_PSO4 = 28 
  INTEGER, PARAMETER :: ind_CH2Br2 = 29 
  INTEGER, PARAMETER :: ind_CH3Br = 30 
  INTEGER, PARAMETER :: ind_CHBr3 = 31 
  INTEGER, PARAMETER :: ind_MONITA = 32 
  INTEGER, PARAMETER :: ind_BENZ = 33 
  INTEGER, PARAMETER :: ind_DHDN = 34 
  INTEGER, PARAMETER :: ind_DHDC = 35 
  INTEGER, PARAMETER :: ind_PMNN = 36 
  INTEGER, PARAMETER :: ind_PPN = 37 
  INTEGER, PARAMETER :: ind_TOLU = 38 
  INTEGER, PARAMETER :: ind_BrNO2 = 39 
  INTEGER, PARAMETER :: ind_IEPOXD = 40 
  INTEGER, PARAMETER :: ind_BRO2 = 41 
  INTEGER, PARAMETER :: ind_N2O5 = 42 
  INTEGER, PARAMETER :: ind_TRO2 = 43 
  INTEGER, PARAMETER :: ind_IEPOXA = 44 
  INTEGER, PARAMETER :: ind_IEPOXB = 45 
  INTEGER, PARAMETER :: ind_IONITA = 46 
  INTEGER, PARAMETER :: ind_ALK4 = 47 
  INTEGER, PARAMETER :: ind_XRO2 = 48 
  INTEGER, PARAMETER :: ind_HNO2 = 49 
  INTEGER, PARAMETER :: ind_MAP = 50 
  INTEGER, PARAMETER :: ind_IMAO3 = 51 
  INTEGER, PARAMETER :: ind_MPN = 52 
  INTEGER, PARAMETER :: ind_C3H8 = 53 
  INTEGER, PARAMETER :: ind_HNO4 = 54 
  INTEGER, PARAMETER :: ind_MP = 55 
  INTEGER, PARAMETER :: ind_RA3P = 56 
  INTEGER, PARAMETER :: ind_RB3P = 57 
  INTEGER, PARAMETER :: ind_XYLE = 58 
  INTEGER, PARAMETER :: ind_DMS = 59 
  INTEGER, PARAMETER :: ind_ETP = 60 
  INTEGER, PARAMETER :: ind_HOBr = 61 
  INTEGER, PARAMETER :: ind_Br2 = 62 
  INTEGER, PARAMETER :: ind_HBr = 63 
  INTEGER, PARAMETER :: ind_C2H6 = 64 
  INTEGER, PARAMETER :: ind_EOH = 65 
  INTEGER, PARAMETER :: ind_PAN = 66 
  INTEGER, PARAMETER :: ind_RP = 67 
  INTEGER, PARAMETER :: ind_PP = 68 
  INTEGER, PARAMETER :: ind_PRPN = 69 
  INTEGER, PARAMETER :: ind_BrNO3 = 70 
  INTEGER, PARAMETER :: ind_PIP = 71 
  INTEGER, PARAMETER :: ind_R4P = 72 
  INTEGER, PARAMETER :: ind_ATOOH = 73 
  INTEGER, PARAMETER :: ind_HPALD = 74 
  INTEGER, PARAMETER :: ind_DHPCARP = 75 
  INTEGER, PARAMETER :: ind_HC187 = 76 
  INTEGER, PARAMETER :: ind_HPC52O2 = 77 
  INTEGER, PARAMETER :: ind_MRP = 78 
  INTEGER, PARAMETER :: ind_RIPB = 79 
  INTEGER, PARAMETER :: ind_H2O2 = 80 
  INTEGER, PARAMETER :: ind_VRP = 81 
  INTEGER, PARAMETER :: ind_IAP = 82 
  INTEGER, PARAMETER :: ind_HONIT = 83 
  INTEGER, PARAMETER :: ind_MOBA = 84 
  INTEGER, PARAMETER :: ind_DHMOB = 85 
  INTEGER, PARAMETER :: ind_RIPA = 86 
  INTEGER, PARAMETER :: ind_RIPD = 87 
  INTEGER, PARAMETER :: ind_ISNP = 88 
  INTEGER, PARAMETER :: ind_HCOOH = 89 
  INTEGER, PARAMETER :: ind_MAOP = 90 
  INTEGER, PARAMETER :: ind_ETHLN = 91 
  INTEGER, PARAMETER :: ind_MTPA = 92 
  INTEGER, PARAMETER :: ind_INPN = 93 
  INTEGER, PARAMETER :: ind_NPMN = 94 
  INTEGER, PARAMETER :: ind_LIMO = 95 
  INTEGER, PARAMETER :: ind_MOBAOO = 96 
  INTEGER, PARAMETER :: ind_DIBOO = 97 
  INTEGER, PARAMETER :: ind_IPMN = 98 
  INTEGER, PARAMETER :: ind_MACRNO2 = 99 
  INTEGER, PARAMETER :: ind_MVKOO = 100 
  INTEGER, PARAMETER :: ind_ACTA = 101 
  INTEGER, PARAMETER :: ind_ROH = 102 
  INTEGER, PARAMETER :: ind_ISOPNB = 103 
  INTEGER, PARAMETER :: ind_MONITS = 104 
  INTEGER, PARAMETER :: ind_CH3CHOO = 105 
  INTEGER, PARAMETER :: ind_GAOO = 106 
  INTEGER, PARAMETER :: ind_MGLYOO = 107 
  INTEGER, PARAMETER :: ind_BrO = 108 
  INTEGER, PARAMETER :: ind_CH2OO = 109 
  INTEGER, PARAMETER :: ind_ISOP = 110 
  INTEGER, PARAMETER :: ind_PO2 = 111 
  INTEGER, PARAMETER :: ind_ISNOHOO = 112 
  INTEGER, PARAMETER :: ind_ACET = 113 
  INTEGER, PARAMETER :: ind_MGLOO = 114 
  INTEGER, PARAMETER :: ind_A3O2 = 115 
  INTEGER, PARAMETER :: ind_ISNOOB = 116 
  INTEGER, PARAMETER :: ind_IEPOXOO = 117 
  INTEGER, PARAMETER :: ind_PRN1 = 118 
  INTEGER, PARAMETER :: ind_GLYX = 119 
  INTEGER, PARAMETER :: ind_MVKN = 120 
  INTEGER, PARAMETER :: ind_MACROO = 121 
  INTEGER, PARAMETER :: ind_MONITU = 122 
  INTEGER, PARAMETER :: ind_PROPNN = 123 
  INTEGER, PARAMETER :: ind_MAN2 = 124 
  INTEGER, PARAMETER :: ind_ISNOOA = 125 
  INTEGER, PARAMETER :: ind_ISOPNDO2 = 126 
  INTEGER, PARAMETER :: ind_HNO3 = 127 
  INTEGER, PARAMETER :: ind_MACRN = 128 
  INTEGER, PARAMETER :: ind_ISOPNBO2 = 129 
  INTEGER, PARAMETER :: ind_B3O2 = 130 
  INTEGER, PARAMETER :: ind_MAOPO2 = 131 
  INTEGER, PARAMETER :: ind_GLYC = 132 
  INTEGER, PARAMETER :: ind_ATO2 = 133 
  INTEGER, PARAMETER :: ind_VRO2 = 134 
  INTEGER, PARAMETER :: ind_ISOPND = 135 
  INTEGER, PARAMETER :: ind_R4N1 = 136 
  INTEGER, PARAMETER :: ind_OLNN = 137 
  INTEGER, PARAMETER :: ind_OLND = 138 
  INTEGER, PARAMETER :: ind_ETO2 = 139 
  INTEGER, PARAMETER :: ind_RCO3 = 140 
  INTEGER, PARAMETER :: ind_KO2 = 141 
  INTEGER, PARAMETER :: ind_HC5OO = 142 
  INTEGER, PARAMETER :: ind_LIMO2 = 143 
  INTEGER, PARAMETER :: ind_PIO2 = 144 
  INTEGER, PARAMETER :: ind_NMAO3 = 145 
  INTEGER, PARAMETER :: ind_ISN1 = 146 
  INTEGER, PARAMETER :: ind_PRPE = 147 
  INTEGER, PARAMETER :: ind_MGLY = 148 
  INTEGER, PARAMETER :: ind_MRO2 = 149 
  INTEGER, PARAMETER :: ind_CH2O = 150 
  INTEGER, PARAMETER :: ind_INO2 = 151 
  INTEGER, PARAMETER :: ind_HC5 = 152 
  INTEGER, PARAMETER :: ind_R4O2 = 153 
  INTEGER, PARAMETER :: ind_RIO2 = 154 
  INTEGER, PARAMETER :: ind_R4N2 = 155 
  INTEGER, PARAMETER :: ind_HAC = 156 
  INTEGER, PARAMETER :: ind_ALD2 = 157 
  INTEGER, PARAMETER :: ind_MVK = 158 
  INTEGER, PARAMETER :: ind_MEK = 159 
  INTEGER, PARAMETER :: ind_RCHO = 160 
  INTEGER, PARAMETER :: ind_Br = 161 
  INTEGER, PARAMETER :: ind_NO3 = 162 
  INTEGER, PARAMETER :: ind_MO2 = 163 
  INTEGER, PARAMETER :: ind_O3 = 164 
  INTEGER, PARAMETER :: ind_NO = 165 
  INTEGER, PARAMETER :: ind_NO2 = 166 
  INTEGER, PARAMETER :: ind_OH = 167 
  INTEGER, PARAMETER :: ind_CO = 168 
  INTEGER, PARAMETER :: ind_HO2 = 169 
  INTEGER, PARAMETER :: ind_MACR = 170 
  INTEGER, PARAMETER :: ind_MCO3 = 171 
  INTEGER, PARAMETER :: ind_SO2 = 172 

! Index declaration for fixed species in C
!   C(ind_spc)

  INTEGER, PARAMETER :: ind_CH4 = 173 
  INTEGER, PARAMETER :: ind_H2 = 174 
  INTEGER, PARAMETER :: ind_H2O = 175 
  INTEGER, PARAMETER :: ind_MOH = 176 
  INTEGER, PARAMETER :: ind_O2 = 177 
  INTEGER, PARAMETER :: ind_RCOOH = 178 

! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)

  INTEGER, PARAMETER :: indf_CH4 = 1 
  INTEGER, PARAMETER :: indf_H2 = 2 
  INTEGER, PARAMETER :: indf_H2O = 3 
  INTEGER, PARAMETER :: indf_MOH = 4 
  INTEGER, PARAMETER :: indf_O2 = 5 
  INTEGER, PARAMETER :: indf_RCOOH = 6 

END MODULE gckpp_Parameters

